#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif /* HAVE_CONFIG_H */

#include "manconfig.h"

/* Flex emits several functions which might reasonably have various
 * attributes applied and many unused macros; none of these are our problem.
 */
#if GNUC_PREREQ(8,0)
#  pragma GCC diagnostic ignored "-Wsuggest-attribute=malloc"
#endif
#pragma GCC diagnostic ignored "-Wsuggest-attribute=pure"
#pragma GCC diagnostic ignored "-Wunused-macros"

#line 17 "lexgrog.c"

#define  YY_INT_ALIGNED short int

/* A lexical scanner generated by flex */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 6
#define YY_FLEX_SUBMINOR_VERSION 4
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

/* end standard C headers. */

/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#ifndef SIZE_MAX
#define SIZE_MAX               (~(size_t)0)
#endif

#endif /* ! C99 */

#endif /* ! FLEXINT_H */

/* begin standard C++ headers. */

/* TODO: this is always defined, so inline it */
#define yyconst const

#if defined(__GNUC__) && __GNUC__ >= 3
#define yynoreturn __attribute__((__noreturn__))
#else
#define yynoreturn
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an
 *   integer in range [0..255] for use as an array index.
 */
#define YY_SC_TO_UI(c) ((YY_CHAR) (c))

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN (yy_start) = 1 + 2 *
/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START (((yy_start) - 1) / 2)
#define YYSTATE YY_START
/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin  )
#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k.
 * Moreover, YY_BUF_SIZE is 2*YY_READ_BUF_SIZE in the general case.
 * Ditto for the __ia64__ case accordingly.
 */
#define YY_BUF_SIZE 32768
#else
#define YY_BUF_SIZE 16384
#endif /* __ia64__ */
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

extern int yyleng;

extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2
    
    #define YY_LESS_LINENO(n)
    #define YY_LINENO_REWIND_TO(ptr)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = (yy_hold_char); \
		YY_RESTORE_YY_MORE_OFFSET \
		(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )
#define unput(c) yyunput( c, (yytext_ptr)  )

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	int yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* Stack of input buffers. */
static size_t yy_buffer_stack_top = 0; /**< index of top of stack. */
static size_t yy_buffer_stack_max = 0; /**< capacity of stack. */
static YY_BUFFER_STATE * yy_buffer_stack = NULL; /**< Stack as an array. */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( (yy_buffer_stack) \
                          ? (yy_buffer_stack)[(yy_buffer_stack_top)] \
                          : NULL)
/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;
static int yy_n_chars;		/* number of characters read into yy_ch_buf */
int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = NULL;
static int yy_init = 0;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart ( FILE *input_file  );
void yy_switch_to_buffer ( YY_BUFFER_STATE new_buffer  );
YY_BUFFER_STATE yy_create_buffer ( FILE *file, int size  );
void yy_delete_buffer ( YY_BUFFER_STATE b  );
void yy_flush_buffer ( YY_BUFFER_STATE b  );
void yypush_buffer_state ( YY_BUFFER_STATE new_buffer  );
void yypop_buffer_state ( void );

static void yyensure_buffer_stack ( void );
static void yy_load_buffer_state ( void );
static void yy_init_buffer ( YY_BUFFER_STATE b, FILE *file  );
#define YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )

YY_BUFFER_STATE yy_scan_buffer ( char *base, yy_size_t size  );
YY_BUFFER_STATE yy_scan_string ( const char *yy_str  );
YY_BUFFER_STATE yy_scan_bytes ( const char *bytes, int len  );

void *yyalloc ( yy_size_t  );
void *yyrealloc ( void *, yy_size_t  );
void yyfree ( void *  );

#define yy_new_buffer yy_create_buffer
#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}
#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}
#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* Begin user sect3 */

#define yywrap() (/*CONSTCOND*/1)
#define YY_SKIP_YYWRAP
typedef flex_uint8_t YY_CHAR;

FILE *yyin = NULL, *yyout = NULL;

typedef int yy_state_type;

extern int yylineno;
int yylineno = 1;

extern char *yytext;
#ifdef yytext_ptr
#undef yytext_ptr
#endif
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state ( void );
static yy_state_type yy_try_NUL_trans ( yy_state_type current_state  );
static int yy_get_next_buffer ( void );
static void yynoreturn yy_fatal_error ( const char* msg  );

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	(yytext_ptr) = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	(yy_hold_char) = *yy_cp; \
	*yy_cp = '\0'; \
	(yy_c_buf_p) = yy_cp;
#define YY_NUM_RULES 141
#define YY_END_OF_BUFFER 142
/* This struct is not used in this scanner,
   but its presence is necessary. */
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static const flex_int16_t yy_accept[1585] =
    {   0,
        0,    0,    0,    0,   67,   67,   67,   67,    0,    0,
        0,    0,    0,    0,    0,    0,  119,  119,    0,    0,
        0,    0,    0,    0,  126,  126,    8,    8,    0,    0,
        0,    0,    0,    0,    0,    0,  142,  141,   29,   29,
       29,  140,   67,   67,  140,  140,  140,  138,  140,  136,
       83,   67,   67,  140,   83,  106,  106,  106,  101,  106,
      108,  108,  107,  113,  113,  113,  112,  118,  118,  118,
      118,  118,  119,  121,  121,  120,  123,  123,  122,  125,
      125,  124,  126,  126,  140,  137,  140,  140,  140,    7,
       10,    7,    7,    6,    6,    6,    4,   18,   18,   18,

       19,   19,    0,   28,    0,   27,   27,   29,   67,    0,
      138,    0,    0,  139,   67,   67,  139,  135,  139,  139,
      135,   83,   67,    0,    0,  138,    0,  136,   70,   67,
       76,    0,   62,    0,    0,   64,   66,    0,    0,   61,
       63,   61,    0,    0,    0,    0,    0,    0,   67,    0,
       67,   67,  139,  135,   83,   67,    0,   64,    0,  106,
        0,    0,  101,   94,   95,   96,   97,   98,   99,  100,
      108,  107,  113,    0,    0,    0,  112,  112,  118,    0,
        0,    0,  119,  121,  120,  123,  122,  125,  124,  126,
      137,    0,    0,  126,  126,  139,  139,  139,  139,  126,

      137,   54,    0,  126,   39,    7,    0,    9,    0,   10,
        7,    6,    0,    3,    4,    3,    4,    3,   18,    0,
        0,    0,   18,   19,   28,    0,    0,    0,   27,   27,
       27,   27,   27,   27,   27,   27,   27,   27,   57,    0,
        0,   67,    0,    0,   36,   36,   36,   36,   36,   36,
       36,   36,    0,   50,    0,    0,    0,    0,    0,    0,
      130,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,   48,    0,   57,    0,   49,    0,   58,   76,
       72,    0,    0,    0,    0,    0,    0,    0,    0,   75,
       75,   75,    0,    0,    0,    0,    0,    0,   69,    0,

       77,   78,    0,   79,    0,    0,   81,    0,    0,   67,
        0,    0,   36,   36,   36,   36,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
       93,  102,  103,  104,  105,  101,   94,   95,   96,   97,
       98,   99,  100,    0,    0,    0,    0,    0,    0,   60,
        0,  126,   38,   38,  126,   38,   38,   38,   38,   37,
       54,    7,    0,    0,    0,    9,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    7,    5,    3,    3,    4,
        4,    4,    3,    0,    0,    0,    0,    0,   16,    0,

       21,   27,   27,   27,   27,   20,   27,   27,   27,   57,
        0,    0,    0,    0,    0,    0,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   51,   41,    0,    0,    0,
        0,    0,  128,   59,    0,  130,   47,  129,    0,    0,
       30,    0,    0,    0,  127,   34,   53,    0,   35,   33,
       52,   32,    0,    0,    0,   49,   84,   73,   62,   55,

       63,   68,    0,    0,    0,    0,    0,    0,    0,    0,
        0,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   85,    0,   87,   92,   88,   89,   90,
       91,    0,    0,    0,   64,    0,   93,  102,  103,  104,
      105,    0,    0,    0,  116,  114,    0,   38,   38,   38,
       38,   37,   38,   38,    7,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    7,    5,    3,    3,    4,    4,    4,
        0,    3,    3,   12,   14,   13,   15,   11,   17,   21,

       25,   26,   20,   22,   24,   23,   55,    0,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   30,   36,   36,
       36,   36,   34,   36,   36,   35,   33,   36,   32,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   40,  132,  131,
       45,  128,   59,   46,   47,  129,  134,  133,   30,   42,
       44,   31,  127,   34,   34,   53,   43,   35,   33,   52,
       32,    0,   84,   55,   74,    0,   71,   56,   80,   82,

       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   85,   86,   87,   92,   88,   89,
       90,   91,    0,   65,    0,  110,    0,  116,  117,  114,
      115,   38,   38,    7,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    7,
        3,    3,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    0,    0,    0,    0,    0,

        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    3,    3,   25,   26,   22,
       24,   23,   56,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   30,   36,   36,   31,   36,   34,   34,   36,
       36,   35,   33,   36,   32,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,  132,  131,   45,
      134,  133,   44,   43,   56,   56,   82,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   86,   65,  109,
      110,  111,  117,  115,    7,    2,    0,    0,    0,    0,

        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        7,    3,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    1,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    1,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    3,   36,

       36,   36,   36,   36,   36,   36,   36,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,  109,  111,    7,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    7,    3,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    1,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    1,    1,    4,    4,    1,    4,    4,

        4,    4,    4,    4,    4,    4,    1,    4,    1,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    1,    1,    0,    0,    1,    0,    0,    0,
        0,    0,    0,    0,    0,    1,    0,    1,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    3,   36,   36,   36,    7,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    7,    3,    4,    4,    4,    4,    4,    4,    4,

        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    1,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    1,    1,    4,    4,    1,    4,    4,    4,
        4,    4,    4,    4,    4,    1,    4,    1,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    1,    4,    4,    4,    4,    4,    4,    4,    4,
        1,    4,    4,    4,    4,    4,    4,    4,    4,    4,

        4,    4,    4,    4,    4,    4,    4,    4,    4,    4,
        4,    1,    0,    0,    0,    0,    0,    0,    0,    0,
        1,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    3,    7,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    7,    3,    3,    4,    4,    1,    0,    1,    0,
        1,    0,    1,    0,    0,    0,    0,    0,    0,    1,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    3,    3,    0,    0,    0,

        0,    0,    0,    0,    0,    0,    0,    0,    0,    8,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    1,
        1,    0,    0,    0,    0,    0,    0,    1,    1,    1,
        0,    1,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    0,    0,    0,    0,    0,    0,    0,    1,    0,
        1,    0,    0,    0,    0,    0,    0,    0,    0,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        0,    0,    0,    0,    1,    1,    0,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    0,    0,    0,    0,
        1,    1,    1,    1,    1,    1,    0,    0,    0,    0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    0,    0,    0,    0,    1,    1,    1,    0,
        0,    0,    0,    0,    0,    0,    0,    1,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    1,    0
    } ;

static const YY_CHAR yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    1,    4,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    5,    6,    7,    8,    9,    6,   10,   11,   12,
       13,   14,   15,   16,   17,   18,    1,   19,   20,   21,
       22,   23,   24,   25,   26,   27,   27,    1,    1,    1,
        1,    1,    1,    1,   28,   29,   30,   31,   32,   33,
       34,   35,   36,   37,   38,   39,   40,   41,   42,   43,
       44,   45,   46,   47,   48,   49,   50,   51,   52,   53,
       54,   55,   56,    6,   57,   58,   59,   60,   61,   62,

       63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
       73,   74,   75,   76,   77,   78,   79,   80,   81,   82,
       83,   84,    6,   85,    6,   86,    1,    1,   87,    1,
        1,   88,   89,   90,    1,    1,   91,   92,    1,    1,
       93,    1,   94,   95,   96,   97,    1,    1,   98,    1,
       99,  100,    1,    1,    1,  101,  102,  103,    1,    1,
      104,    1,    1,  105,  106,  107,  108,  109,  110,  111,
        1,    1,  112,  113,  114,  115,  116,  117,  118,  119,
      120,    1,  121,  122,  123,    1,  124,  125,  126,  127,
        1,    1,    1,    1,  128,  129,    1,    1,    1,    1,

        1,    1,    1,  130,    1,    1,    1,  131,  132,    1,
        1,    1,    1,    1,    1,  133,  134,    1,    1,    1,
        1,    1,    1,  135,    1,    1,    1,  136,  137,    1,
      138,    1,    1,    1,  139,  140,    1,    1,  141,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static const YY_CHAR yy_meta[142] =
    {   0,
        1,    2,    3,    4,    2,    1,    5,    1,    1,    1,
        6,    7,    1,    1,    1,    1,    1,    1,    8,    9,
        9,    9,    9,    8,    8,    8,    8,   10,   10,   10,
       10,   10,   10,   10,   10,   10,   10,   10,   10,   10,
       10,   10,   10,   10,   10,   10,   10,   10,   10,   10,
       10,   10,   10,    1,    1,    1,    1,    1,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1
    } ;

static const flex_int16_t yy_base[1769] =
    {   0,
        0,    0,    0,    2,    6,    0,  146,  150,  153,  154,
      234,    0,  375,    0,  152,  513, 6063, 6062,  591,    0,
      732,    0,  873,    0,  157,  166,  161,  174,  176,  177,
        0,    0,  181,  186, 6060, 6050, 6044, 7576, 7576,  206,
     6040, 7576,  516,  523, 1013, 5978, 5977,  191, 6014,    0,
     1066, 1024, 1031, 6024,  512, 7576, 6023, 5999,  202,  522,
     7576, 6007,    0, 7576, 5996,  156,  224, 7576, 5985, 5910,
     5888, 5881,    0, 7576, 5926,    0, 7576, 5915,    0, 7576,
     5905,    0, 1036, 1042, 5904,  534,  216, 5901, 5840,    0,
      551, 5893, 5890, 7576, 5883, 5830, 1054,    0,  546, 5881,

     7576, 5871,  565,  569, 5861,    0, 1120, 1090, 1155, 1171,
      557, 5846, 1099, 7576, 1176, 1187, 1198, 5798, 5797, 5834,
     1252, 1327, 1216, 5834, 5601,  572,  574,    0, 7576, 1026,
        0, 1223, 7576, 1193,  511,  579, 7576, 1046,  519, 5607,
     7576, 7576, 5672,    0, 5671, 5675, 1332, 1054, 1206, 1020,
     1234, 1272, 5678, 1280, 1010, 1359, 1356, 7576, 1044, 7576,
     5600, 1245, 1418, 1018, 1019, 1058, 1085, 1112, 1117, 1132,
     7576,    0, 7576, 5609, 5615, 5614, 1181, 1204, 7576, 5598,
     5603, 5608,    0, 7576,    0, 7576,    0, 7576,    0, 1363,
     1370, 1426, 5668, 1393, 1442, 5669, 1050, 5666, 5613, 1447,

     1451, 1455, 5666, 1227, 7576,    0, 1459, 1503, 5665, 1463,
     5662, 7576, 5659, 5658, 5657, 5656, 1435, 5655,    0, 1276,
     5658, 1437, 1282, 7576, 7576, 5657, 1472, 5647,    0, 1484,
     1490, 5578,  177, 1481, 5576, 1153, 5569, 1476, 1212, 1239,
     1252, 1521, 1552, 1558, 5643, 1563, 1569, 1034, 1100,  169,
     1642, 1717, 1431, 7576, 5642, 1543, 5601, 1576, 5600,  460,
     1472, 1553, 1624, 5570, 1200,    0, 5565, 5577,  508, 1099,
     5574, 1548, 7576, 5624, 1315, 1277,    0, 5622, 1532,    0,
     7576,    0, 5511,  160, 5510, 5485, 5500, 5487, 5495, 7576,
        0,    0, 1582,    0,    0,  983, 5481, 5496, 7576,    0,

     7576, 7576,    0, 7576,    0, 1718, 7576, 1590,    0, 1606,
     1063, 5559, 1601, 5558, 1802, 1877, 5482, 1618, 5483, 5474,
     1041, 5473, 5471, 1586, 1123, 5460, 5475, 1152, 5458, 5473,
     1547, 1610, 1624, 1646, 1653, 1660, 1664, 1670, 1677, 1694,
     1703, 1708, 1710, 5465, 5460, 5457, 5473, 5462, 5461, 1744,
     1748, 1753,    0, 1757, 1764, 5530, 1777, 5526, 5472, 7576,
     1811,    0, 1962, 5525,    0, 1820, 5497,  499,  525,  979,
     1233, 1362, 1941, 1450, 5371, 5452, 5382, 5365,   98, 5383,
     5400, 5376, 1145, 5377, 5385, 5481,    0, 5476, 5475, 5474,
     5473, 1868, 5472, 5434, 5457, 5430, 5455, 5428, 7576, 5427,

        0, 1728, 1752, 1758, 1759, 1780, 1834, 1850, 1854, 1856,
     1254, 5389, 5404, 1312, 5387, 5402, 5465, 1897, 1905, 1151,
     1916, 1967, 1289, 1193, 1901, 1910, 5464, 1990, 1373, 2013,
     1470, 1423, 2008, 1998, 2028, 1179, 1864, 2109, 1574, 1167,
     1625, 1533, 1303, 2052, 5463, 1923,    0, 2160, 5462, 5461,
     2007, 5451, 2020, 5459, 2035, 2044, 1184, 5458, 5457, 2185,
     2236, 2309, 1493, 2391, 2074, 7576, 1980, 1863, 1888, 1940,
     1992, 2031, 2047, 2057, 2079, 2098, 2104, 2111, 2112, 2117,
     2118, 2119, 2123, 2125, 2129, 2173,    0, 2131, 2162, 2163,
        0, 2164, 1519, 5376, 5391,    0, 2168, 7576, 7576, 2169,

     7576, 7576,    0,    0, 5446, 5391, 5389,    0,    0, 5436,
     5431, 5438, 2244, 1339, 2362, 1476, 1059, 1729, 1636, 1683,
     2133, 5437, 2187, 2174, 5357, 2189, 2198, 2239, 2240, 2241,
     2246, 1545, 5355, 5370, 7576, 5379, 2250, 2252, 2254, 2288,
     2289, 5367, 5373, 5341, 2398, 2321, 5340,    0, 2418, 2423,
     5397,    0, 2394,    0,    0, 2472, 5398,    0, 2329, 1614,
     1648, 2369, 1791, 2401, 1797, 1852, 1858, 1877, 5384, 2343,
     1895, 1258, 1725, 1536, 5264, 5263, 1693, 5260, 5281, 5298,
     5264, 5298, 5267, 5380,    0, 5377, 5376, 5375, 5374, 2611,
     2750, 5373, 5372, 7576, 7576, 7576, 7576, 7576, 7576,    0,

        0,    0, 2322,    0,    0,    0, 2323, 5322, 2380, 2392,
        0, 5364, 2361, 2431, 2400, 2440, 2454, 2459, 2460, 2464,
     2465, 2466, 2477, 2478, 2482, 2484, 2486, 2488, 2490, 2494,
     2500, 2501, 2502,    0, 2509, 2515, 2516,    0, 2521,    0,
        0,    0, 5317, 1645, 5316, 5291, 5306, 5293, 5301,    0,
        0, 2522, 1815, 1909, 5287, 5302,    0, 2863,    0,    0,
     2889,    0, 1781, 2521,    0, 2523, 1894, 7576,    0,    0,
        0, 2527, 2533, 2547, 2548, 2549,    0,    0, 2553, 2554,
        0, 2555, 2559, 2560, 2561,    0,    0, 2565, 2566,    0,
     2570, 5312, 2571, 2572, 7576, 5311, 7576, 2576, 7576,    0,

     2577, 5284, 2578, 2582, 2583, 2584, 2588, 2589, 1935, 5282,
     5297, 1989, 5280, 5295, 2590, 2594, 2595, 2615, 2617, 2619,
     2621, 2623, 5305, 7576, 5292, 2625, 5279, 2627, 2629, 2631,
     2633, 2639, 2657,    0, 2665, 2644, 5344, 1956, 2669, 1971,
     5334, 1820, 1975, 2221, 2647, 2380, 2614, 2680, 2609, 2696,
     2623, 5334, 2603, 2635, 2624, 5304, 5228, 5251, 5233, 1277,
     1993, 5251, 5213, 5228, 5173, 2675, 5171, 5166, 5166, 5295,
        0,    0,    0,    0, 2972, 2734, 2658, 2658, 2651, 2652,
     2661, 2760, 2674, 5171, 1148, 5252, 5182, 5169,  125, 5187,
     5204, 5178, 1994, 5179, 5187, 2955, 2672, 2672, 2665, 2668,

     2680, 2988, 2688, 5160, 1360, 5241, 5171, 5158, 1776, 5176,
     5193, 5168, 2106, 5169, 5177,    0,    0,    0,    0,    0,
        0,    0, 2709, 2139, 5194, 5209, 2264, 5192, 5207,    0,
     2713,    0,    0,    0,    0, 2724, 2725, 2756, 2762, 2763,
        0,    0, 2771, 2778,    0, 2780, 2793, 2798, 2802,    0,
        0, 2804, 2809,    0, 2816,    0,    0, 2820,    0,    0,
        0, 1965, 5217, 3089, 3115, 2021, 2064,    0,    0,    0,
        0,    0,    0,    0, 2824, 2826,    0, 2830, 2832, 2836,
     2838, 2840, 2842, 2844, 2846,    0, 5216, 2848, 7576, 2850,
     2852, 2854, 2856, 2870,    0, 2941, 2763, 2905, 5260, 2931,

     2958, 2942, 3001, 2958, 2962, 2966, 5177, 5152, 2399, 5135,
     5132, 5130, 5117, 5135, 2399, 1959, 2623, 5124, 5124, 5138,
     5238,    0,    0, 3198, 3181, 2976, 2982, 2983, 2986, 2997,
     3214, 3003, 5113, 1977, 5194, 5123, 5110, 2160, 5128, 5143,
     5113, 2781, 5113, 5118, 3206, 2979, 3001, 3045, 2993, 3215,
     2986, 2997, 3000, 3001, 5203, 2965, 2999, 2967, 3331, 3281,
     2328, 2807, 5081, 5080, 2263, 5075, 5096, 5113, 5077, 5110,
     5047, 3242, 2996, 3018, 3197, 3041, 3357, 3034, 3166, 3180,
     3183, 5152, 2983, 3183, 2999, 5150, 3398, 2381, 2844, 5027,
     5023, 2912, 5017, 5032, 5046, 5012, 5048, 5017,    0, 2983,

     5079, 3094,    0,    0,    0,    0,    0,    0,    0, 3167,
        0,    0, 3202,    0, 3228, 3210,    0, 3214, 3265,    0,
     3210, 3280, 3225, 3226, 3210, 3242, 3342, 2696, 5036, 3287,
     5023, 4995, 5014, 5012, 4988, 2989, 4999, 4980, 4978, 4988,
     4979, 4972, 5050,    0,    0, 3440, 3423, 3260, 3260, 3277,
     3279, 3292, 3456, 3298, 4926, 2345, 5005, 4935, 4916, 2508,
     4934, 4947, 4920, 3075, 4895, 4899, 3334, 3342, 3364, 3375,
     3357, 3457, 3351, 3361, 3362, 3363, 4982, 3301, 3355, 3183,
     3573, 3523, 2753, 3142, 4860, 4859, 3215, 4855, 4876, 4892,
     4857, 4893, 4860, 3448, 3388, 3335, 3404, 3484, 3399, 4966,

     3348, 3406, 3422, 3492, 3424, 3591, 3576, 3438, 3627, 3450,
     4958, 3441, 3471, 3459, 3673, 3607, 3672, 3720, 4928, 4852,
     4873, 4855, 2612, 2383, 4850, 4811, 4826, 4798, 3389, 4795,
     4760, 4759, 3507, 3444, 3444, 3469, 3584, 3493, 4880, 3363,
     3494, 3519, 3605, 3520, 3695, 3673, 3530, 3748, 3536, 4880,
     3577, 3612, 3601,    0, 3742, 3793, 3797, 4850, 4773, 4795,
     4774, 2659, 2542, 4758, 4714, 4729, 4701, 3655, 4698, 4689,
     4689,    0, 3470, 3647, 3681,    0, 3610, 3686, 3730, 3796,
     4696, 4694, 4650, 4662, 4643, 4656, 3802, 3825, 3843, 4632,
     3863, 4763, 4758, 4757, 3936, 3855, 3779, 3732, 3816, 3829,

     3759, 3887, 3886, 1507, 3824, 1595, 1967, 2759, 3565, 3306,
     2986, 1385, 3593, 2487, 3663, 3856, 3825, 3892, 3946, 3879,
     3968, 3836, 3873, 3940, 3941, 2165, 3883, 3918, 3905, 3449,
     4011, 3890, 3450, 2058, 3621, 3828, 2982, 3648, 3265, 2646,
     3781, 1353, 3767, 3901, 3995, 3992, 4038, 4006, 3510, 3575,
     3832, 4013, 4022, 4015, 4050, 4044, 3882, 4090, 4051, 2855,
     4007, 4054, 4055, 4746, 4097, 4135, 4139, 1766, 2322, 3914,
     3646, 4070, 3949, 3591, 1810, 3993, 3817, 4101, 2700, 3511,
     3951, 4100, 3761, 4190, 4082, 4105, 3323, 3961, 4113, 4035,
     4194, 4103, 4141, 4108, 4233, 3674, 3897, 3975, 3910, 3997,

     3999, 3207, 1523, 2690, 4109, 4081, 4117, 4116, 3835, 3900,
     2025, 3779, 4162, 4265, 4153, 4148, 4740, 4142, 4174, 4199,
     4255, 4214, 4218, 4221, 4743, 4646, 4626, 4596, 4569, 3598,
     4550, 4545, 4550, 4487, 4505, 4046, 4086, 4079, 4487, 4479,
     4489, 4585, 7576, 4222, 4228, 4200, 4140, 4468, 4447, 4466,
     4299, 4303, 4309, 4316, 4321, 4326, 4330, 4334, 4338, 4342,
     4441, 4514,    0,    0, 7576, 4320, 4198,    0, 4348, 4357,
     4357, 4237, 4363, 4322, 4326, 4317, 4333, 4400, 4481, 4386,
     4195, 4398, 4252, 4380, 4352, 4347, 4311, 4287, 4084, 4296,
     4279, 4276, 4285, 4274, 4228,    0,    0, 4323, 4358, 4168,

     4130, 4128, 4124, 4159, 4133, 4402, 4406, 4428, 4150, 4237,
     4449, 4104, 4087, 4378, 4373, 4454, 4454,    0, 4470, 4432,
     4433, 4005, 3978, 3965, 3961, 3872, 3856, 4441, 4460, 4461,
     3826, 4498, 4375, 4430, 4070, 4154, 4023, 3844, 4503, 3790,
     4461, 4468, 4519, 4446, 4271, 3678, 3660, 3630, 4507, 4542,
     4543, 4553, 4559, 4565, 4569, 4573, 4610, 4611, 4620, 4624,
     4628, 3568, 4500, 4492, 4635, 4639, 3507, 4626, 4549,    0,
     4652, 4511, 4592, 3445, 3371, 3145, 3132, 3136, 2990, 4653,
     4765, 4692, 4665, 4819, 4719, 4675, 4873, 4925, 2965, 4326,
     4382, 4681, 4623, 4641, 4437, 4460, 4344, 2955, 4979, 4720,

     4934, 4726, 5033, 4777, 5085, 4828, 5139, 4874, 5094, 4882,
     2868, 2747, 4664, 4660, 4991, 4990, 2739, 4736, 5140, 5146,
     4740, 5150, 5154, 4950, 5158, 5191, 4473, 4479, 4559, 4560,
     5237, 5281, 5333, 5377, 5429, 5473, 2729, 2618, 2586, 2578,
     5525, 4997, 5553, 4998, 5552, 5034, 5580, 5042, 5632, 5195,
     5660, 5214, 4536, 4571, 4610, 4646, 4954, 5036, 5111, 4787,
     2473, 2385, 2300, 4576, 4656, 4579, 2064, 5223, 1711, 4717,
     4640, 1697, 1563, 4722, 4771, 1553, 1537, 4725, 4777, 5122,
     1499, 4845, 5227, 7576, 5713, 5724, 5735, 5746, 5757, 5768,
     5779, 5790, 5801, 5812, 5823, 5827, 5838, 5849, 5860, 5871,

     5882, 5893, 5904, 5915, 5926, 5937, 5948, 5959, 5963, 5974,
     5985, 5996, 6007, 6012, 6013, 6018, 6029, 6040, 6051, 6062,
     6073, 6084, 6095, 6106, 6117, 6128, 6139, 6150, 6161, 1225,
     6172, 6183, 6194, 6205, 6216, 6227, 6238, 6249, 1197, 6251,
     6262, 6273, 6284, 6295, 6306, 6317, 6328, 6339, 6350, 6361,
     6372, 6383, 6394, 6405, 6416, 6427, 6438, 6449, 6460, 6471,
     1086, 6473, 6484, 6495, 6506, 6517, 6528, 6539, 6550, 6561,
     6572, 6583, 6594, 6605, 6616, 6627, 6638, 6649, 6660, 6671,
     6682, 6693, 6704, 6715, 6726, 6737, 6748, 6759, 6770, 6781,
     6792, 6803, 6814, 6825, 6836, 6847, 6858, 6869, 6880, 6891,

     6902, 6913, 6924, 6935, 6946, 6957, 6968, 6979, 6990, 7001,
     7012, 7023, 7034, 7045, 7056, 7067, 7078, 7089, 7100, 7111,
     7122, 7133, 7144, 7155, 7166, 7177, 7188, 7199, 7210, 7221,
     7232, 7243, 7254, 7265, 7276, 7287, 7298, 7303, 7313, 7324,
     7335, 7346, 7357, 7368, 7379, 7390, 7401, 7412, 7423, 7434,
     1022, 7445, 7456, 7467, 7478, 7489, 7500, 7507, 7513, 7523,
      553, 7528,  541, 7538, 7549, 7560, 7565,  182
    } ;

static const flex_int16_t yy_def[1769] =
    {   0,
     1585, 1585, 1586, 1586, 1584,    5,    5,    5, 1587, 1587,
     1584,   11, 1584,   13, 1588, 1588, 1589, 1589, 1584,   19,
     1584,   21, 1584,   23, 1590, 1590, 1591, 1591, 1592, 1592,
     1585, 1585, 1593, 1593, 1594, 1594, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1595, 1584, 1584, 1584, 1584, 1584, 1596,
     1584, 1584, 1595, 1584,   51, 1584, 1584, 1584, 1597, 1584,
     1584, 1584, 1598, 1584, 1584, 1584, 1599, 1584, 1584, 1584,
     1584, 1584, 1600, 1584, 1584, 1601, 1584, 1584, 1602, 1584,
     1584, 1603, 1584, 1595, 1584, 1584, 1584, 1584, 1584, 1604,
     1584, 1604, 1604, 1584, 1584, 1584, 1605, 1606, 1584, 1606,

     1584, 1584, 1584, 1584, 1584, 1607, 1607, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1608, 1584, 1584, 1584, 1584,
     1584, 1584, 1595, 1584, 1584, 1584, 1584, 1609, 1584, 1584,
     1610, 1584, 1584, 1611, 1612, 1584, 1584, 1584, 1613, 1584,
     1584, 1584, 1614, 1615, 1616, 1584, 1584, 1584, 1584, 1584,
     1584, 1608, 1584,  121,  122, 1595, 1611, 1584, 1613, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1617, 1584, 1584, 1584, 1584, 1618, 1584, 1584, 1584,
     1584, 1584, 1619, 1584, 1620, 1584, 1621, 1584, 1622, 1584,
     1584, 1584, 1584, 1584, 1623, 1584, 1584, 1584, 1584, 1595,

     1584, 1584, 1584, 1584, 1584, 1624, 1584, 1584, 1584, 1584,
     1624, 1584, 1584, 1625, 1626, 1625, 1626, 1625, 1627, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1628, 1628,
     1628, 1628, 1628, 1628, 1628, 1628, 1628, 1628, 1584, 1584,
     1584, 1584, 1629, 1584, 1629, 1629, 1629, 1629, 1629, 1629,
     1629, 1629, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1630, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1631, 1584, 1584, 1632, 1584, 1584, 1633,
     1584, 1634, 1634, 1634, 1634, 1634, 1634, 1634, 1634, 1584,
     1635, 1636, 1584, 1637, 1638, 1638, 1638, 1638, 1584, 1639,

     1584, 1584, 1640, 1584, 1641, 1584, 1584, 1584, 1642, 1584,
     1629, 1584, 1629, 1629, 1629, 1629, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1634, 1634, 1634, 1638, 1638, 1638,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1643, 1643, 1644, 1643, 1643, 1643, 1643, 1584,
     1584, 1645, 1584, 1584,  363,  363, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1645, 1646, 1647, 1647, 1648,
     1648, 1648, 1649, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1650, 1651, 1651, 1651, 1651, 1651, 1651, 1651, 1651, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1629, 1629, 1629, 1629,
     1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629,
     1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629,
     1629, 1629, 1629, 1629, 1629, 1629, 1652, 1629, 1629, 1629,
     1653, 1654, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629,
     1629,  461, 1629, 1629, 1629, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1655, 1584, 1584, 1584,
     1656, 1584, 1584, 1584, 1584, 1657, 1584, 1584, 1584, 1584,

     1584, 1584, 1658, 1659, 1660, 1584, 1584, 1661, 1662, 1663,
     1664, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629,
     1665, 1629, 1629, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1666, 1666, 1666,
     1666, 1666, 1666, 1666, 1667, 1584, 1584,  556, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1667, 1668, 1669, 1669, 1670, 1670, 1670,
     1584, 1671, 1671, 1584, 1584, 1584, 1584, 1584, 1584, 1672,

     1673, 1674, 1675, 1676, 1677, 1678, 1584, 1584, 1679, 1679,
     1680, 1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679,
     1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679,
     1679, 1679, 1679, 1681, 1679, 1679, 1679, 1682, 1679, 1683,
     1679, 1684, 1684, 1684, 1684, 1684, 1684, 1684, 1684, 1679,
     1685, 1679, 1686, 1679, 1679, 1679, 1679, 1679, 1679, 1679,
     1679, 1679, 1687, 1679, 1679, 1679, 1688, 1584, 1689, 1690,
     1691, 1584, 1584, 1584, 1584, 1584, 1692, 1693, 1584, 1584,
     1694, 1584, 1584, 1584, 1584, 1695, 1696, 1584, 1584, 1697,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1698,

     1679, 1679, 1679, 1679, 1679, 1679, 1679, 1679, 1699, 1699,
     1699, 1679, 1679, 1679, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1700, 1700, 1701, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1701,
     1702, 1703, 1704, 1705, 1704, 1705, 1704, 1704, 1704, 1704,
     1704, 1704, 1704, 1704, 1704, 1704, 1704, 1704, 1704, 1704,
     1704, 1704, 1704, 1704, 1704, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1706, 1707, 1708, 1709, 1710,
     1711, 1712, 1584, 1679, 1679, 1679, 1679, 1679, 1679, 1713,
     1679, 1679, 1714, 1715, 1716, 1679, 1679, 1679, 1679, 1679,
     1717, 1718, 1679, 1679, 1719, 1679, 1679, 1679, 1679, 1720,
     1721, 1679, 1679, 1722, 1679, 1679, 1679, 1679, 1679, 1679,
     1723, 1724, 1679, 1679, 1679, 1725, 1726, 1727, 1728, 1729,
     1730, 1731, 1732, 1733, 1584, 1584, 1734, 1679, 1679, 1679,
     1679, 1679, 1679, 1679, 1679, 1679, 1679, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1735, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1735, 1736, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737,
     1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737,
     1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737,
     1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737,
     1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737,
     1737, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1738, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1739, 1679,

     1679, 1679, 1740, 1741, 1742, 1743, 1744, 1745, 1746, 1679,
     1679, 1679, 1679, 1679, 1747, 1679, 1679, 1584, 1584, 1748,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1748, 1749, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,

     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750, 1750,
     1750, 1750, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1751, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1752, 1679, 1679, 1747, 1753, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1754, 1755, 1756, 1584,
     1584, 1753, 1757, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1758,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1751, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1759, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1758, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1759, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1295, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1760, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1755, 1754, 1754, 1754, 1755, 1755, 1755, 1756, 1756, 1756,
     1584, 1584, 1757, 1757, 1584, 1584, 1584, 1761, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1762, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1760, 1760, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1754, 1755, 1756, 1584, 1584,
     1759, 1584, 1584, 1584, 1584, 1584, 1584, 1763, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1764, 1765, 1766,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1767,
     1584, 1584, 1762, 1584, 1584, 1584, 1584, 1584, 1765, 1764,
     1764, 1764, 1764, 1765, 1765, 1765, 1765, 1766, 1766, 1766,
     1766, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1768,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1764,
     1764, 1764, 1765, 1765, 1765, 1766, 1766, 1766, 1584, 1584,
     1584, 1767, 1584, 1584, 1584, 1584, 1584, 1584, 1764, 1764,

     1764, 1764, 1765, 1765, 1765, 1765, 1766, 1766, 1766, 1766,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1481, 1764, 1764,
     1484, 1765, 1765, 1487, 1766, 1766, 1584, 1584, 1584, 1584,
     1764, 1481, 1765, 1484, 1766, 1487, 1584, 1584, 1584, 1584,
     1764, 1764, 1499, 1764, 1765, 1765, 1503, 1765, 1766, 1766,
     1507, 1766, 1584, 1584, 1584, 1584, 1532, 1534, 1536, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584,    0, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584
    } ;

static const flex_int16_t yy_nxt[7718] =
    {   0,
     1584, 1584,   40,   41,   40,   41,   42,   43,   44,   45,
       43,   42,   42,   42,   42,   42,   46,   47,   42,   42,
       42,   48,   49,   46,   50,   50,   50,   50,   50,   50,
       50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
       50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
       50,   50,   50,   50,   50,   50,   50,   50,   50,   42,
       51,   42,   42,   42,   50,   50,   50,   50,   50,   50,
       50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
       50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,

       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,
       42,   42,   42,   42,   42,   42,   42,   52,   53,   54,
       52,   52,   53,   54,   52,   69,   57,   57,   83,   84,
       85,   83,   42,   91,   92,   93,   42,   83,   84,   85,
       83, 1584,   86,   87,   58,   58,   91,   92,   93,   95,
       95,   86,   87,   99,  100,  425,   96,   96,   99,  100,
       70, 1492,  126,   97,   97,  126,   71,  575,   72,  576,

       55,   59,   59,  163,   55,  402,  163,  103,  104,  105,
      103,   88,  402,   89,  174,  175,  106,  176,  202,  203,
       88,   70,   89,  107,  963,  178,  964,   71,  178,   72,
      500,  500,   60,   60,   61,   61,   61,   62,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   63,   63,   63,   63,   63,   63,   63,   63,
       63,   63,   63,   63,   63,   63,   63,   63,   63,   63,
       63,   63,   63,   63,   63,   63,   63,   63,   63,   63,
       63,   63,   63,   63,   63,   63,   63,   61,   61,   61,
       61,   61,   63,   63,   63,   63,   63,   63,   63,   63,

       63,   63,   63,   63,   63,   63,   63,   63,   63,   63,
       63,   63,   63,   63,   63,   63,   63,   63,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   61,   61,   61,   61,   61,   61,   61,   61,
       61,   61,   61,   61,   61,   64,   64,   64,   65,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
       64,   66,   64,   67,   67,   67,   67,   67,   67,   67,

       67,   67,   67,   67,   67,   67,   67,   67,   67,   67,
       67,   67,   67,   67,   67,   67,   67,   67,   67,   67,
       67,   67,   67,   67,   67,   67,   67,   67,   64,   64,
       64,   64,   64,   67,   67,   67,   67,   67,   67,   67,
       67,   67,   67,   67,   67,   67,   67,   67,   67,   67,
       67,   67,   67,   67,   67,   67,   67,   67,   67,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,

       64,   64,   64,   64,   64,   64,   64,   64,   64,   64,
       64,   64,   64,   64,   64,   64,   69,  109,  110,  110,
      109,  474,  291,  157,  115,  116,  117,  115,  158,  559,
      475,  111,  112,  118,  119,  201,  201,  201,  201,  120,
      121,  164,  165,  166,  167,  168,  169,  170,  220,  221,
     1443,   70,  207,  208,  209,  207,  560,   71,  126,   72,
      559,  126, 1411,  222,  292,  159,  103,  225,  226,  103,
      113,  227,  228,  126,  487,  279,  126,  122,  279,  106,
      279,  296,   70,  279,  297,  488,  107,  560,   71,  298,
       72,   74,   74,   74,   75,   74,   74,   74,   74,   74,

       74,   74,   74,   74,   74,   74,   74,   74,   74,   76,
       76,   76,   76,   76,   76,   76,   76,   76,   76,   76,
       76,   76,   76,   76,   76,   76,   76,   76,   76,   76,
       76,   76,   76,   76,   76,   76,   76,   76,   76,   76,
       76,   76,   76,   76,   74,   74,   74,   74,   74,   76,
       76,   76,   76,   76,   76,   76,   76,   76,   76,   76,
       76,   76,   76,   76,   76,   76,   76,   76,   76,   76,
       76,   76,   76,   76,   76,   74,   74,   74,   74,   74,
       74,   74,   74,   74,   74,   74,   74,   74,   74,   74,
       74,   74,   74,   74,   74,   74,   74,   74,   74,   74,

       74,   74,   74,   74,   74,   74,   74,   74,   74,   74,
       74,   74,   74,   74,   74,   74,   74,   74,   74,   74,
       74,   74,   74,   74,   74,   74,   74,   74,   74,   74,
       74,   74,   77,   77,   77,   78,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   77,   77,   77,   77,   77,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,

       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
       77,   77,   77,   80,   80,   80,   81,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   82,   82,   82,   82,   82,   82,   82,   82,   82,

       82,   82,   82,   82,   82,   82,   82,   82,   82,   82,
       82,   82,   82,   82,   82,   82,   82,   82,   82,   82,
       82,   82,   82,   82,   82,   82,   80,   80,   80,   80,
       80,   82,   82,   82,   82,   82,   82,   82,   82,   82,
       82,   82,   82,   82,   82,   82,   82,   82,   82,   82,
       82,   82,   82,   82,   82,   82,   82,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,

       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   80,   80,   80,  110,  123,  110,  110,  561,  337,
      338,  157,  337,  338,  130,  149,  158,  130,  149,  112,
      130, 1325,  151,  152,  153,  151, 1584,  190,  130,  111,
      190,  118,  119,  194,  195,  196,  194,  293,  154,  561,
      293,  191,  192,  507,  507,  308,  294,  215,  308,  339,
      216, 1584,  339,  324,  309,  311,  512,  112,  129,  129,
      130,  129,  131,  131,  132,  129,  133,  134,  150,  135,
      150,  360,  136,  137,  130,  155,  340,  197,  423,  340,
      193,  103,  104,  105,  103,  301,  198,  130,  199,  217,

      106,  360, 1584,  130,  138,  130,  328,  107,  218,  329,
      240,  475,  360,  341,  330,  239,  341,  130,  342,  139,
      140,  342,  529,  141,  129,  138,  129,  129,  142,  143,
      217,  138,  360,  343,  144,  138,  343,  145,  146,  129,
      705,  129,  147,  130,  129,  138,  148,  138,  230,  129,
      129,  130,  241, 1584,  424,  231,  109,  110,  110,  109,
      232,  489,  489,  490,  233,  234,  235,  425,  236, 1584,
      111,  112,  110,  110,  110,  110,  130,  242,  243,  244,
      242, 1584,  178,  237,  130,  178, 1584,  112,  246,  116,
      247,  246,  112,  535,  535, 1584,  238,  248,  249,  110,

      116,  110,  110,  250,  251,  178,  508,  149,  178,  113,
      149,  959,  408,  410,  112,  408,  410,  115,  116,  117,
      115,  111,  536,  536,  960,  112,  118,  119,  204,  633,
      113,  204,  120,  121,  484,  310,  311,  312,  310,  580,
      581,  252,  281,  281,  281,  281,  281,  281,  281,  281,
      629,  283,  112,  253,  254,  284,  253,  285,  286,  483,
      150,  657,  483,  287,  332,  333,  334,  335,  288,  255,
      122,  289,  562,  313,  152,  314,  313,  612,  220,  221,
      256,  193,  248,  249,  220,  221,  257,  258,  150,  315,
      259, 1584,  260,  222,  261,  611,  262,  263,  264,  222,

      265,  411,  266,  562,  412, 1584,  124,  317,  318,  413,
      319,  267,  320,  268,  414,  269,  410,  415,  270,  410,
      321,  322,  416,  271,  607,  607,  316,  323,  272,  129,
      129,  130,  129,  131,  131,  132,  273,  133,  134,  493,
      274, 1584,  494,  275,  137,  130,  306,  495,  306,  755,
      307,  307,  307,  307,  307,  307,  307,  307,  307, 1365,
      151,  152,  153,  151,  190,  138,  638,  190,  755,  118,
      119,  201,  201,  201,  201, 1584,  154,  909,  191,  192,
      276,  140,  608,  608,  141,  129,  138,  129,  129,  142,
      143, 1365,  138,  563,  352,  144,  138,  352,  145,  146,

      129,  909,  129,  147,  130,  129,  138,  148,  138,  192,
      129,  129,  130,  155,  283,  616,  701,  193,  325,  336,
      285,  326,  336,  986,  563, 1584,  327,  350,  350,  350,
      350,  288,  253,  254,  289,  253,  987,  332,  333,  334,
      335,  391,  351,  354,  355,  356,  354,  193,  194,  195,
      196,  194,  201,  201,  201,  201,  361,  361,  361,  361,
      207,  363,  364,  207,  207,  208,  209,  207,  394,  392,
      395, 1171, 1584,  476,  227,  228,  476,  571, 1584,  396,
      392,  397,  106,  398,  621,  401,  392,  357,  401,  107,
      399,  401,  197,  622,  401, 1584,  358,  994,  359,  663,

      392,  198,  477,  199,  365,  366,  367,  365,  571,  402,
      406,  392,  620, 1365,  478,  406,  400,  392,  403,  402,
      402,  406,  242,  243,  244,  242,  406,  406,  402, 1365,
      368,  369,  406,  279,  403, 1584,  279,  112,  370,  371,
      404,  406,  372,  373,  467,  374,  406,  467,  537,  375,
      704,  537,  406,  418,  243,  419,  418,  406,  406,  110,
      243,  110,  110,  406,  421,  110,  418,  421,  420,  376,
      418,  116,  418,  418,  112,  113, 1584,  467,  468,  420,
      467,  468,  481,  293,  479,  420,  293,  468,  468,  692,
      692,  308,  294,  481,  308,  636,  636,  637,  480,  481,

      309, 1365,  446, 1584,  470,  446,  420,  310,  311,  312,
      310,  538,  112,  481,  538,  723,  723,  422,  471,  467,
      470,  492,  467,  420,  481,  539,  472, 1584,  539, 1582,
      481,  377,  378,  379,  985,  380,  381,  382, 1584,  383,
      988,  384,  385,  426,  254, 1385,  426,  540,  532,  632,
      540,  533,  468,  468,  541,  513,  534,  541,  481,  427,
      150,  336,  468,  468,  336,  337,  738, 1579,  337,  481,
      428,  338,  758,  759,  338,  481,  429,  430,  339,  739,
      431,  339,  432, 1578,  433, 1584,  434,  435,  436,  481,
      437,  634,  438, 1575,  525,  340,  423,  738,  340,  526,

      481,  439,  635,  440,  341,  441,  481,  341,  442,  342,
      739,  343,  342,  443,  343,  858,  858,  707,  444,  129,
      445,  446,  445,  447,  447,  448,  449,  450,  451,  401,
      452, 1584,  401,  453,  454,  446,  307,  307,  307,  307,
      307,  307,  307,  307,  307,  350,  350,  350,  350,  350,
      350,  350,  350,  401,  352,  455,  401,  352,  549,  601,
      602,  549,  601,  602,  708,  354,  355,  356,  354,  192,
      456,  457, 1365,  550,  458,  445,  455,  445,  445,  459,
      460,  603,  455,  510,  603,  461,  455,  417,  462,  463,
      445,  756,  445,  464,  446,  445,  455,  465,  455,  622,

      445,  445,  446,  426,  254,  972,  426,  193,  552,  357,
      706,  551,  361,  361,  361,  361, 1365,  505,  358,  427,
      359,  558,  366,  367,  558,  417,  762, 1574,  552,  514,
      515,  743,  516,  763,  517,  604,  429,  430,  604,  552,
      431, 1571,  518,  519,  433,  748,  434,  435,  436,  520,
      437,  605,  438,  757,  605,  606,  423,  410,  606,  552,
      410,  439,  743,  440,  467,  441, 1584,  467,  442,  590,
      591,  590,  590,  443,  589,  990,  748,  991,  444,  129,
      445,  446,  445,  447,  447,  448,  449,  450,  521,  669,
      452,  749,  669,  522,  454,  446,  511,  750,  418,  110,

      418,  418,  613, 1584,  417,  613,  418,  243,  418,  418,
      740,  426,  254,  420,  426,  455,  751,  421,  110,  418,
      421,  420,  749,  630,  446, 1584,  630,  446,  750,  740,
      523,  457,  420, 1333,  458,  445,  455,  445,  445,  459,
      460,  467,  455,  754,  467,  461,  455,  751,  462,  463,
      445,  420,  445,  464,  446,  445,  455,  465,  455,  420,
      445,  445,  446,  365,  556,  557,  365,  505,  564, 1584,
      422,  446,  565, 1365,  754, 1012,  566,  513,  609,  863,
      863,  467,  567,  425,  467,  446,  668,  897,  568,  368,
      369,  614, 1584,  670,  614,  569,  670,  370,  371,  564,

     1584,  372,  373,  565,  374,  886,  886,  566,  375,  623,
     1584,  898,  623,  567,  614, 1584,  748,  614,  897,  568,
      610,  613, 1584,  510,  613,  615,  615, 1014,  376,  626,
     1584, 1365,  671,  615,  615,  671,  652, 1584,  624,  652,
     1081,  617,  898,  627,  446,  653, 1584,  748,  672,  907,
      625,  672,  446, 1082, 1584,  618,  615,  617,  673,  887,
      887,  673,  628,  619, 1365,  643,  511,  615,  570,  644,
     1037,  645,  646,  628, 1015,  666, 1584,  647,  666,  628,
      674,  806,  648,  674,  667,  649,  628,  910,  968,  969,
      377,  378,  379,  628,  380,  381,  382,  628,  383,  476,

      384,  385,  476,  628,  628,  675,  654,  910,  675,  655,
      628, 1584,  676,  677,  656,  676,  677,  628,  678,  679,
      680,  678,  679,  680,  681,  639,  682,  681,  628,  682,
      683, 1395,  687,  683,  628,  687,  631,  631,  631,  631,
      631,  631,  631,  631,  631,  631,  631,  631,  631,  631,
      631,  631,  631,  631,  631,  631,  631,  631,  631,  631,
      631,  631, 1584,  688,  689,  691,  688,  689,  691,  693,
      694, 1365,  693,  694,  684,  715, 1150,  684,  715,  641,
      641,  641,  641,  641,  641,  641,  641, 1584, 1162, 1584,
      717,  643,  685,  717, 1570,  709,  658,  645,  710,  718,

      995,  996,  718,  711,  659,  659,  659,  659,  648, 1000,
     1000,  649,  659,  659,  659,  659,  659,  659,  659,  659,
      659,  659,  659,  659,  659,  659,  659,  659,  659,  659,
      659,  659,  659,  659,  659,  659,  659,  659, 1584,  685,
      719,  720,  721,  719,  720,  721, 1584,  722,  446,  712,
      722,  537,  713,  538,  537,  539,  538,  714,  539, 1085,
      748, 1086,  446,  660,  660,  660,  660,  660,  660,  660,
      660,  660,  660,  660,  660,  660,  660,  660,  660,  660,
      660,  660,  660,  660,  660,  660,  660,  660,  660,  540,
      541,  748,  540,  541,  660,  660,  660,  660,  660,  660,

      660,  660,  660,  660,  660,  660,  660,  660,  660,  660,
      660,  660,  660,  660,  660,  660,  660,  660,  660,  660,
      661,  446,  730,  603,  694,  730,  603,  694, 1365,  446,
      735,  736,  737,  735, 1001, 1001,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  613,  614, 1584,  613,  614,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662, 1584, 1119,  553, 1125,  615,  553,  728,

      740,  614,  728, 1126,  614,  664,  615,  664, 1230,  665,
      665,  665,  665,  665,  665,  665,  665,  665,  729,  549,
      748, 1231,  549,  741,  732,  350,  732,  732,  744,  753,
     1566,  740,  614,  565,  550,  614, 1158,  832,  702,  733,
      745,  833,  824,  703,  833,  825,  753, 1158,  551,  746,
      826,  748,  565,  747,  827,  614, 1120,  828,  614,  744,
      834,  835,  829,  834,  835,  836,  837,  838,  836,  837,
      838,  745,  551,  558,  556,  557,  558, 1301,  623,  839,
      746,  623,  839,  840,  747,  841,  840,  842,  841,  843,
      842,  844,  843, 1365,  844,  845,  742, 1301,  845,  368,

      369,  846,  847,  848,  846,  847,  848,  370,  371, 1159,
      851,  372,  373,  851,  374, 1565,  852,  853,  375,  852,
      853,  849,  855,  652,  666,  855,  652,  666,  672, 1028,
     1029,  672,  653,  667,  673, 1035, 1036,  673,  376,  665,
      665,  665,  665,  665,  665,  665,  665,  665,  674,  675,
      676,  674,  675,  676,  679,  680,  682,  679,  680,  682,
      683,  684,  684,  683,  684,  684,  688,  689,  849,  688,
      689,  691,  693,  694,  691,  693,  694,  876,  878,  880,
      876,  878,  880,  881,  882,  883,  881,  882,  883,  884,
      885,  715,  884,  885,  715,  888,  717,  997,  888,  717,

      377,  378,  379, 1564,  380,  381,  382, 1234,  383, 1235,
      384,  385,  775,  591,  775,  775,  718,  776,  719,  718,
      720,  719,  721,  720,  722,  721,  891,  722,  728,  891,
      893,  728,  730,  893,  894,  730, 1331,  894,  777,  778,
      732,  350,  732,  732,  748,  896,  779,  780,  896,  900,
      781,  782, 1365,  783,  748,  905, 1331,  784,  732,  350,
      732,  732,  906,  901,  748,  785,  735,  736,  737,  735,
      735,  736,  737,  735,  748,  748,  915,  786,  748,  915,
      900,  735,  736,  737,  735,  748,  905,  748,  945,  946,
      947,  948,  949,  906,  901,  748, 1365,  735,  736,  737,

      735,  957,  972,  973,  974,  748, 1365,  975, 1556,  748,
      876,  976, 1300,  876, 1002,  984, 1555, 1002,  748,  945,
      946,  947,  948,  949,  902,  836,  837,  903,  836,  837,
     1038, 1039,  957,  972,  973,  974, 1300,  748,  975,  787,
      788,  789,  976,  790,  791,  792,  984,  793, 1554,  794,
      795,  591,  591,  591,  591,  902,  796,  838,  903, 1330,
      838,  777,  778,  839,  840, 1365,  839,  840,  748,  779,
      780, 1169,  843,  781,  782,  843,  783,  797,  798,  844,
      784,  846,  844, 1330,  846,  799,  800,  950,  785,  801,
      802,  951,  803, 1179,  847,  952,  804,  847, 1021,  848,

      786,  953,  848,  848,  805,  852,  848,  954,  852, 1180,
      853,  916,  917,  853,  955, 1179,  806,  855,  950, 1268,
      855, 1010,  951, 1386, 1010,  876,  952,  876,  876, 1021,
      876,  878,  953, 1016,  878, 1339, 1016,  880,  954,  881,
      880,  882,  881,  883,  882,  884,  883,  885,  884,  888,
      885, 1018,  888,  891, 1018, 1019,  891,  893, 1019, 1553,
      893, 1365,  787,  788,  789, 1322,  790,  791,  792, 1530,
      793,  894,  794,  795,  894, 1090, 1091, 1528,  807,  808,
      809, 1269,  810,  811,  812,  989,  813,  956,  814,  815,
      864,  864,  864,  864,  864,  864,  864,  864,  864,  864,

      864,  864,  864,  864,  864,  864,  864,  864,  864,  864,
      864,  864,  864,  864,  864,  864,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  896, 1121, 1122,  896, 1022,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  924,  591,  924,  924, 1022,  925,  739,
     1160, 1161,  797,  798, 1010,  748, 1024, 1010, 1365,  565,
      799,  800, 1365, 1025,  801,  802, 1026,  803, 1527,  926,

      927,  804,  735,  736,  737,  735, 1067,  928,  929,  805,
      739,  930,  931, 1068,  932,  977,  748, 1024,  933,  978,
      565,  806, 1069,  979, 1025, 1070,  934, 1026, 1071,  980,
     1079, 1097, 1098, 1102, 1107,  981, 1108, 1067,  935, 1109,
     1110,  748,  982, 1146, 1068, 1164,  977, 1113, 1136, 1137,
      978, 1112, 1165, 1069,  979, 1073, 1070, 1430, 1114, 1071,
      980, 1079, 1097, 1098, 1102, 1107,  981, 1108, 1112, 1151,
     1109, 1110,  748,  978, 1073,  993, 1099, 1114, 1113, 1136,
     1137, 1141, 1146,  807,  808,  809, 1151,  810,  811,  812,
     1153,  813,  978,  814,  815, 1002, 1186, 1039, 1002, 1100,

      936,  937,  938, 1146,  939,  940,  941, 1099,  942, 1153,
      943,  944, 1141, 1146, 1166,  983,  659,  659,  659,  659,
      659,  659,  659,  659,  659,  659,  659,  659,  659,  659,
      659,  659,  659,  659,  659,  659,  659,  659,  659,  659,
      659,  659,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662, 1010, 1239,
     1240, 1010, 1101,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  662,  662,  662,  662,  662,  662, 1046,

      591, 1046, 1046, 1174, 1047, 1147, 1174, 1094, 1048, 1049,
     1094, 1016, 1095, 1365, 1016, 1018, 1050, 1051, 1018, 1148,
     1052, 1053, 1149, 1054, 1146, 1048, 1049, 1055, 1138,  417,
      877, 1152,  417, 1050, 1051, 1056, 1147, 1052, 1053, 1177,
     1054, 1072, 1103, 1133, 1055, 1073, 1133, 1057, 1134, 1074,
     1148, 1139, 1056, 1149, 1104, 1075,  740,  748, 1022, 1138,
     1096, 1076, 1152, 1105, 1057, 1498, 1019, 1106, 1077, 1019,
     1177, 1365, 1072, 1103, 1263, 1497, 1073, 1178, 1270, 1271,
     1074,  735,  736,  737,  735, 1104, 1075,  740,  748, 1022,
     1216, 1217, 1076, 1263, 1105, 1117, 1135, 1117, 1106, 1118,

     1118, 1118, 1118, 1118, 1118, 1118, 1118, 1118, 1178, 1058,
     1059, 1060, 1365, 1061, 1062, 1063, 1218, 1064, 1219, 1065,
     1066, 1216, 1217, 1220, 1140, 1228, 1058, 1059, 1060, 1365,
     1061, 1062, 1063, 1374, 1064, 1243, 1065, 1066, 1243, 1384,
     1244, 1078, 1115,  735,  736,  737,  735, 1218, 1274, 1219,
     1116, 1116, 1116, 1116, 1220, 1275, 1228, 1168, 1116, 1116,
     1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116,
     1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116,
     1116, 1116, 1116, 1116, 1142, 1181, 1182, 1261, 1245, 1282,
     1306, 1222, 1282, 1306, 1246, 1247, 1143, 1251, 1283, 1256,

     1257, 1258, 1259, 1262, 1261, 1144, 1248, 1181, 1182, 1145,
     1222, 1284, 1156,  992, 1156, 1142, 1157, 1157, 1157, 1157,
     1157, 1157, 1157, 1157, 1157, 1246, 1247, 1143, 1251, 1249,
     1256, 1257, 1258, 1259, 1262, 1285, 1144, 1248, 1248, 1286,
     1145, 1195,  591, 1195, 1195, 1312, 1196, 1256, 1312, 1243,
     1197, 1198, 1243, 1138, 1244, 1365, 1365, 1248, 1199, 1200,
     1154, 1256, 1201, 1202, 1256, 1203, 1285, 1197, 1198, 1204,
     1286, 1174, 1138, 1256, 1174, 1199, 1200, 1205, 1256, 1201,
     1202, 1256, 1203, 1221, 1252, 1243, 1204, 1222, 1243, 1206,
     1244, 1223, 1256, 1293, 1205, 1256, 1253, 1224, 1294, 1256,

     1315, 1496, 1250, 1225, 1256, 1254, 1206, 1313, 1133, 1255,
     1226, 1133, 1256, 1134, 1221, 1252, 1365, 1365, 1222, 1256,
     1314, 1317, 1223, 1256, 1293, 1307, 1308, 1253, 1224, 1294,
     1256, 1315, 1256, 1316, 1225, 1146, 1254, 1266, 1245, 1266,
     1255, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267,
     1256, 1207, 1208, 1209, 1256, 1210, 1211, 1212, 1146, 1213,
     1146, 1214, 1215, 1256, 1316, 1146, 1146, 1146, 1207, 1208,
     1209, 1365, 1210, 1211, 1212, 1495, 1213, 1243, 1214, 1215,
     1243, 1365, 1244, 1227, 1264, 1133, 1160, 1161, 1133, 1146,
     1134, 1146, 1265, 1265, 1265, 1265, 1146, 1365, 1146, 1365,

     1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265,
     1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265, 1265,
     1265, 1265, 1265, 1265, 1265, 1265, 1288, 1365, 1243, 1323,
     1245, 1243, 1146, 1244, 1197, 1198, 1146, 1491, 1135, 1324,
     1289, 1146, 1199, 1200, 1344, 1146, 1201, 1202, 1174, 1203,
     1340, 1174, 1365, 1204, 1365, 1290, 1336, 1288, 1291, 1336,
     1323, 1296, 1489, 1146,  990, 1138,  991, 1146, 1256, 1365,
     1324, 1289, 1146, 1206, 1133, 1344, 1146, 1133, 1332, 1134,
     1365, 1245,  417,  877, 1138,  417, 1290,  995,  996, 1291,
     1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1256,

     1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295,
     1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295, 1295,
     1295, 1295, 1295, 1295, 1295, 1295, 1345, 1135, 1381, 1382,
     1318,  735,  736,  737,  735, 1207, 1208, 1209, 1365, 1210,
     1211, 1212, 1479, 1213, 1319, 1214, 1215, 1197, 1198, 1133,
     1378, 1163, 1133, 1329, 1134, 1199, 1200, 1345, 1167, 1201,
     1202, 1318, 1203,  973,  998, 1365, 1204, 1365, 1133,  797,
      798, 1133, 1368, 1367, 1297, 1319, 1320,  799,  800, 1321,
     1312,  801,  802, 1312,  803, 1365, 1206, 1365,  804, 1146,
      976, 1337, 1338, 1478,  973, 1477, 1326,  735,  736,  737,

      735, 1470, 1135, 1353,  736, 1354, 1353, 1320,  806,  972,
     1321, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 1157,
     1146,  976, 1365, 1365,  797,  798, 1356,  736, 1357, 1356,
     1365, 1365,  799,  800, 1365, 1365,  801,  802, 1365,  803,
      972, 1365, 1365,  804, 1359,  736, 1360, 1359, 1207, 1208,
     1209, 1327, 1210, 1211, 1212,  974, 1213, 1133, 1214, 1215,
     1133, 1365, 1367,  806,  735,  736,  737,  735,  975, 1170,
      807,  808,  809, 1146,  810,  811,  812, 1136,  813, 1365,
      814,  815,  797,  798, 1146, 1365,  974,  986, 1365, 1365,
      799,  800, 1365, 1365,  801,  802, 1365,  803, 1365,  975,

      987,  804, 1312, 1365, 1146, 1312, 1365, 1365, 1136,  805,
     1135, 1365, 1147,  984,  977, 1146, 1365, 1146,  978, 1141,
     1365,  806,  979, 1137, 1365,  807,  808,  809,  980,  810,
      811,  812,  748,  813,  981,  814,  815,  591,  591,  591,
      591,  982, 1366, 1147,  984,  977, 1365, 1365, 1146,  978,
     1141, 1335, 1365,  979, 1137, 1365, 1158, 1365, 1393,  980,
     1379, 1164, 1462,  797,  798,  981, 1152, 1365, 1165, 1151,
     1449,  799,  800,  978, 1365,  801,  802, 1138,  803, 1148,
     1149, 1365,  804,  807,  808,  809, 1151,  810,  811,  812,
      805,  813,  978,  814,  815, 1142, 1153, 1152, 1365, 1365,

     1139, 1365,  806, 1365, 1328, 1365, 1448, 1143, 1138, 1137,
     1148, 1149, 1365, 1365,  983, 1153, 1144, 1365, 1159, 1365,
     1145, 1365, 1394, 1315, 1380, 1156, 1142, 1156, 1365, 1157,
     1157, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 1143, 1133,
     1137, 1365, 1133, 1331, 1367, 1133, 1316, 1144, 1133, 1146,
     1367, 1145, 1146, 1146, 1315, 1146, 1365, 1365, 1313, 1323,
     1365, 1365, 1146, 1331,  807,  808,  809, 1380,  810,  811,
      812, 1314,  813, 1140,  814,  815, 1365, 1316, 1447, 1375,
     1146, 1324, 1146, 1146, 1146, 1318, 1146, 1365, 1365, 1341,
     1323, 1133, 1135, 1146, 1133, 1146, 1367, 1446, 1135, 1319,

     1334, 1312, 1336, 1365, 1312, 1336, 1365, 1365, 1445, 1365,
     1375, 1365, 1324, 1146, 1365, 1365, 1318, 1372, 1320, 1365,
     1467, 1321, 1365, 1365,  797,  798, 1146, 1381, 1382, 1383,
     1319, 1146,  799,  800,  978, 1444,  801,  802, 1377,  803,
     1146, 1365, 1467,  804, 1135, 1365, 1373, 1365, 1372, 1320,
     1440, 1326, 1321, 1157, 1157, 1157, 1157, 1157, 1157, 1157,
     1157, 1157, 1146,  806, 1465,  978,  797,  798, 1584, 1377,
     1330, 1146, 1376, 1368,  799,  800, 1328, 1373,  801,  802,
     1439,  803, 1388, 1389, 1465,  804, 1391, 1392, 1372, 1373,
     1137, 1427, 1392, 1327, 1330, 1133, 1365, 1390, 1133, 1312,

     1367, 1146, 1312, 1376, 1370,  806, 1370, 1328, 1371, 1371,
     1371, 1371, 1371, 1371, 1371, 1371, 1371, 1388, 1389, 1372,
     1373, 1137, 1387, 1391, 1392,  807,  808,  809, 1390,  810,
      811,  812, 1146,  813, 1146,  814,  815, 1337, 1338, 1365,
     1402, 1410, 1189, 1375, 1584,  978,  748,  748, 1135, 1376,
     1466, 1377, 1584, 1584, 1584, 1584, 1133, 1438, 1437, 1133,
     1436, 1134, 1398, 1399, 1402, 1146, 1414,  807,  808,  809,
     1466,  810,  811,  812, 1375,  813,  978,  814,  815, 1370,
     1376, 1370, 1377, 1371, 1371, 1371, 1371, 1371, 1371, 1371,
     1371, 1371, 1420, 1398, 1399, 1146, 1400, 1414, 1435, 1401,

     1356,  736, 1357, 1356, 1406,  736, 1354, 1406, 1421, 1135,
     1406,  736, 1354, 1406, 1420, 1432, 1400, 1406,  736, 1354,
     1406, 1401, 1407,  736, 1357, 1407, 1146, 1407,  736, 1357,
     1407, 1407,  736, 1357, 1407, 1408,  736, 1360, 1408, 1408,
      736, 1360, 1408, 1408,  736, 1360, 1408,  797,  798, 1133,
     1422, 1423, 1133, 1138, 1134,  799,  800, 1146, 1133,  801,
      802, 1133,  803, 1134, 1133, 1373,  804, 1133, 1415, 1134,
     1433, 1476, 1422, 1423,  805, 1371, 1371, 1371, 1371, 1371,
     1371, 1371, 1371, 1371, 1138, 1432,  806, 1133, 1146, 1431,
     1133, 1430, 1134, 1429, 1428, 1476, 1373, 1434, 1390, 1415,

     1426, 1433, 1412, 1406,  736, 1354, 1406, 1407,  736, 1357,
     1407, 1413, 1441, 1442, 1416, 1463, 1416, 1135, 1417, 1417,
     1417, 1417, 1417, 1417, 1417, 1417, 1417, 1511, 1434, 1408,
      736, 1360, 1408, 1133, 1133, 1146, 1133, 1133, 1134, 1134,
     1135, 1517, 1451, 1441, 1442, 1451, 1463, 1452,  807,  808,
      809, 1511,  810,  811,  812, 1584,  813, 1464,  814,  815,
     1584, 1455, 1459, 1517, 1455, 1459, 1456, 1460, 1584, 1584,
     1584, 1584, 1417, 1417, 1417, 1417, 1417, 1417, 1417, 1417,
     1417,  797,  798, 1512, 1425, 1424, 1135, 1135, 1464,  799,
      800, 1421, 1418,  801,  802, 1453,  803,  797,  798, 1133,

      804, 1472, 1133, 1473, 1134,  799,  800, 1512, 1455,  801,
      802, 1455,  803, 1456, 1457, 1461,  804, 1468, 1410, 1468,
      806, 1469, 1469, 1469, 1469, 1469, 1469, 1469, 1469, 1469,
     1584, 1515, 1472,  748, 1473, 1409,  806,  748, 1584, 1584,
     1584, 1584, 1474, 1480, 1480, 1475, 1480, 1480, 1452, 1452,
     1133, 1515, 1135, 1133, 1480, 1134, 1516, 1480, 1493, 1452,
     1480, 1457, 1474, 1480,  748, 1452, 1483, 1475,  748, 1483,
     1483, 1456, 1537, 1483, 1483, 1456, 1516, 1483, 1405, 1456,
     1404, 1538,  807,  808,  809, 1403,  810,  811,  812, 1493,
      813, 1397,  814,  815, 1537, 1395, 1453, 1453,  807,  808,

      809, 1394,  810,  811,  812, 1538,  813, 1453,  814,  815,
     1393, 1483, 1486, 1453, 1483, 1486, 1456, 1460, 1387, 1457,
     1386, 1486, 1481, 1457, 1486, 1486, 1460, 1457, 1486, 1486,
     1460, 1494, 1486, 1560, 1460, 1482,  735,  736,  737,  735,
      735,  736,  737,  735, 1469, 1469, 1469, 1469, 1469, 1469,
     1469, 1469, 1469, 1133, 1480, 1560, 1133, 1480, 1134, 1452,
     1539, 1540, 1494, 1513, 1457, 1461, 1483, 1561, 1514, 1483,
     1567, 1456, 1385, 1484, 1461, 1569, 1486, 1384, 1461, 1486,
     1383, 1460, 1461, 1380, 1539, 1540, 1485, 1561, 1380, 1379,
     1567, 1487, 1584, 1480, 1513, 1569, 1480, 1146, 1452, 1514,

     1584, 1584, 1584, 1584, 1488, 1146, 1501, 1453, 1501, 1562,
     1502, 1502, 1502, 1502, 1502, 1502, 1502, 1502, 1502, 1457,
     1483, 1480, 1378, 1483, 1480, 1456, 1452, 1480, 1146, 1461,
     1480, 1562, 1452, 1505, 1573, 1505, 1146, 1506, 1506, 1506,
     1506, 1506, 1506, 1506, 1506, 1506, 1453, 1450, 1563, 1584,
     1374, 1454, 1365, 1568, 1573, 1450, 1450, 1450, 1450, 1454,
     1454, 1454, 1454, 1365, 1364, 1490, 1480, 1362, 1361, 1480,
     1351, 1452, 1563, 1457, 1519, 1568, 1499, 1350, 1483, 1349,
     1520, 1483, 1348, 1456, 1500, 1500, 1500, 1500,  735,  736,
      737,  735, 1500, 1500, 1500, 1500, 1500, 1500, 1500, 1500,

     1500, 1500, 1500, 1500, 1500, 1500, 1500, 1500, 1500, 1500,
     1500, 1500, 1500, 1500, 1500, 1500, 1500, 1500, 1572, 1453,
     1483, 1576, 1580, 1483, 1347, 1456, 1346, 1341, 1340, 1483,
     1503, 1522, 1483, 1339, 1456, 1335, 1334, 1333, 1504, 1504,
     1504, 1504, 1572, 1576, 1580, 1332, 1504, 1504, 1504, 1504,
     1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504,
     1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504, 1504,
     1504, 1504, 1577, 1457, 1486, 1486, 1581, 1486, 1486, 1460,
     1460, 1329, 1523, 1486, 1507, 1328, 1486, 1158, 1460,  972,
     1322, 1317, 1508, 1508, 1508, 1508, 1577, 1311, 1581, 1310,

     1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508,
     1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508, 1508,
     1508, 1508, 1508, 1508, 1508, 1508, 1486, 1461, 1525, 1486,
     1309, 1460, 1305, 1304, 1303, 1480, 1526, 1302, 1480, 1509,
     1452, 1509, 1583, 1510, 1510, 1510, 1510, 1510, 1510, 1510,
     1510, 1510, 1502, 1502, 1502, 1502, 1502, 1502, 1502, 1502,
     1502, 1458, 1299, 1298, 1583, 1450, 1268, 1216, 1292, 1458,
     1458, 1458, 1458, 1450, 1450, 1450, 1450, 1287, 1281, 1461,
     1480, 1280, 1279, 1480, 1278, 1452, 1277, 1276, 1453, 1273,
     1272, 1133, 1133, 1260, 1133, 1133, 1134, 1134, 1480, 1480,

     1242, 1480, 1480, 1452, 1452, 1241, 1518, 1518, 1518, 1518,
     1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518,
     1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518, 1518,
     1518, 1518, 1238, 1453, 1483, 1483, 1237, 1483, 1483, 1456,
     1456, 1236, 1233, 1483, 1135, 1135, 1483, 1454, 1456, 1206,
     1232, 1520, 1519, 1229, 1192, 1454, 1454, 1454, 1454, 1191,
     1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521,
     1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521, 1521,
     1521, 1521, 1521, 1521, 1521, 1521, 1483, 1457, 1523, 1483,
     1191, 1456, 1190, 1189, 1188, 1486, 1522, 1187, 1486, 1037,

     1460, 1185,  748, 1506, 1506, 1506, 1506, 1506, 1506, 1506,
     1506, 1506, 1510, 1510, 1510, 1510, 1510, 1510, 1510, 1510,
     1510, 1529, 1458,  735,  736,  737,  735, 1184, 1183, 1180,
     1458, 1458, 1458, 1458, 1173, 1171, 1170, 1169, 1168, 1457,
     1486, 1480, 1167, 1486, 1480, 1460, 1452, 1480, 1461, 1166,
     1480, 1483, 1452, 1163, 1483, 1483, 1456, 1162, 1483, 1486,
     1456, 1154, 1486, 1150, 1460, 1132, 1524, 1524, 1524, 1524,
     1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524,
     1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524, 1524,
     1524, 1524, 1486, 1461, 1453, 1486, 1486, 1460, 1131, 1486,

     1453, 1460, 1130, 1481, 1457, 1129, 1128, 1127, 1457, 1532,
     1124, 1123, 1461, 1484, 1111, 1486, 1531, 1534, 1486, 1093,
     1460, 1487, 1482, 1092, 1133, 1089, 1533, 1133, 1133, 1134,
     1485, 1133, 1088, 1134, 1535, 1087, 1084, 1057, 1480, 1083,
     1080, 1480, 1043, 1452, 1042, 1461, 1041, 1040, 1034, 1526,
     1033, 1541, 1032, 1541, 1536, 1542, 1542, 1542, 1542, 1542,
     1542, 1542, 1542, 1542, 1031, 1030, 1027, 1488, 1525, 1027,
     1023, 1017, 1013, 1001, 1001, 1000, 1000, 1135,  998,  997,
      994, 1135,  993,  992,  989,  806,  988,  985,  971,  970,
      967, 1453, 1543,  966,  965,  962,  935,  961,  958,  921,

     1544, 1544, 1544, 1544,  920,  919,  918,  914, 1544, 1544,
     1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544,
     1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544, 1544,
     1544, 1544, 1544, 1544, 1483,  913,  912, 1483,  911, 1456,
      908,  907,  756,  559,  904,  899,  736, 1545,  892, 1545,
      890, 1546, 1546, 1546, 1546, 1546, 1546, 1546, 1546, 1546,
      889,  887,  887,  886,  886,  879,  695,  875,  863,  863,
      860,  860,  858,  858,  859,  857,  831,  823,  817,  817,
      774,  774,  772,  772,  770,  769,  768, 1457, 1547,  767,
      766,  765,  764,  761,  760,  752, 1548, 1548, 1548, 1548,

      556,  553,  731,  727, 1548, 1548, 1548, 1548, 1548, 1548,
     1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548,
     1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548, 1548,
     1486,  726,  725, 1486,  724, 1460,  723,  723,  716, 1584,
      311,  700,  699, 1549,  698, 1549,  498, 1550, 1550, 1550,
     1550, 1550, 1550, 1550, 1550, 1550,  697,  692,  692, 1584,
     1584, 1584,  651, 1584, 1584, 1584,  466, 1584,  608,  608,
      607,  607,  599,  598,  597,  596,  595,  594,  593,  589,
      589,  587,  587, 1461, 1551,  584,  583,  582,  579,  578,
      577,  574, 1552, 1552, 1552, 1552,  376,  573,  572,  366,

     1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552,
     1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552, 1552,
     1552, 1552, 1552, 1552, 1552, 1552, 1480,  363,  554, 1480,
      553, 1452,  355,  547,  546,  545,  544,  543,  542,  536,
      536,  535,  535, 1542, 1542, 1542, 1542, 1542, 1542, 1542,
     1542, 1542,  531, 1483,  530,  528, 1483,  527, 1456,  524,
      152,  311,  507,  507,  502,  502,  500,  500,  501,  499,
     1546, 1546, 1546, 1546, 1546, 1546, 1546, 1546, 1546, 1453,
     1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557,
     1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557, 1557,

     1557, 1557, 1557, 1557, 1557, 1557, 1457, 1558, 1558, 1558,
     1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558,
     1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558, 1558,
     1558, 1558, 1558, 1486,  497,  291, 1486,  491, 1460,  486,
      485,  482,  473,  469,  466, 1584,  409,  407,  405,  227,
     1550, 1550, 1550, 1550, 1550, 1550, 1550, 1550, 1550,  225,
      220,  393,  389,  391,  389,  387,  386,  208,  202,  205,
      204,  195,  204,  349,  348,  347,  346,  345,  344,  331,
      152,  305,  303,  300,  299,  278, 1461, 1559, 1559, 1559,
     1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559,

     1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559, 1559,
     1559, 1559, 1559,   38,   38,   38,   38,   38,   38,   38,
       38,   38,   38,   38,   39,   39,   39,   39,   39,   39,
       39,   39,   39,   39,   39,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   68,   68,   68,   68,
       68,   68,   68,   68,   68,   68,   68,   73,   73,   73,
       73,   73,   73,   73,   73,   73,   73,   73,   42,   42,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   90,
       90,   90,   90,   90,   90,   90,   90,   90,   90,   90,
       94,   94,   94,   94,   94,   94,   94,   94,   94,   94,

       94,   98,   98,   98,   98,   98,   98,   98,   98,   98,
       98,   98,  101,  101,  101,  101,  101,  101,  101,  101,
      101,  101,  101,  114,  114,  114,  114,  114,  114,  114,
      114,  114,  114,  114,  128,  128,  128,  128,  162,  162,
      277,  162,  162,  162,  162,  162,  162,  162,  162,  172,
      239,  125,  124,  172,  172,  172,  172,  172,  172,  172,
      177,  177,  239,  104,  177,  177,  177,  177,  177,  177,
      177,  183,  183,  224,  183,  183,  183,  183,  183,  183,
      183,  183,  185,  223,  213,  212,  185,  185,  185,  185,
      185,  185,  185,  187,  211,  210,  205,  187,  187,  187,

      187,  187,  187,  187,  189,  204,  200,  188,  189,  189,
      189,  189,  189,  189,  189,  206,  206,  186,  206,  206,
      206,  206,  206,  206,  206,  206,  214,  214,  184,  214,
      214,  214,  214,  214,  214,  214,  214,  219,  219,  182,
      219,  219,  219,  219,  219,  219,  219,  219,  229,  229,
      181,  229,  229,  229,  229,  229,  229,  229,  229,  245,
      245,  245,  245,  245,  245,  245,  245,  245,  245,  245,
      128,  128,  128,  128,  280,  280,  180,  280,  280,  280,
      280,  280,  280,  280,  280,  282,  282,  179,  282,  282,
      282,  282,  282,  282,  282,  282,  290,  290,  173,  290,

      290,  290,  290,  290,  290,  290,  290,  295,  295,  171,
      295,  295,  295,  295,  295,  295,  295,  295,  301,  161,
      301,  301,  302,  302,  304,  160,  156,  304,  304,  172,
      127,  125,  124,  172,  172,  172,  172,  172,  172,  172,
      177,  177,  108, 1584,  177,  177,  177,  177,  177,  177,
      177,  183,  183,  102,  183,  183,  183,  183,  183,  183,
      183,  183,  185,  102,   38,   38,  185,  185,  185,  185,
      185,  185,  185,  187, 1584, 1584, 1584,  187,  187,  187,
      187,  187,  187,  187,  189, 1584, 1584, 1584,  189,  189,
      189,  189,  189,  189,  189,  353,  353,  353,  353,  353,

      353,  353,  353,  353,  353,  353,  362,  362, 1584,  362,
      362,  362,  362,  362,  362,  362,  362,  388,  388, 1584,
      388,  388,  388,  388,  388,  388,  388,  388,  390,  390,
     1584,  390,  390,  390,  390,  390,  390,  390,  390,  219,
      219, 1584,  219,  219,  219,  219,  219,  219,  219,  219,
      229,  229, 1584,  229,  229,  229,  229,  229,  229,  229,
      229,  417,  417,  417,  417,  417,  417,  417,  417,  417,
      417,  417,  290,  290, 1584,  290,  290,  290,  290,  290,
      290,  290,  290,  496,  496, 1584,  496,  496,  496,  496,
      496,  496,  496,  496,  280,  280, 1584,  280,  280,  280,

      280,  280,  280,  280,  280,  498,  498, 1584,  498,  498,
      498,  498,  498,  498,  498,  498,  503,  503, 1584,  503,
      503,  503,  503,  503,  503,  503,  503,  504,  504, 1584,
      504,  504,  504,  504,  504,  504,  504,  504,  505,  505,
      505,  505,  505, 1584,  505,  505,  505,  505,  505,  506,
      506, 1584,  506,  506,  506,  506,  506,  506,  506,  506,
      509,  509,  510,  510,  510,  510, 1584,  510,  510,  510,
      510,  510,  510,  511,  511,  511,  511,  511, 1584,  511,
      511,  511,  511,  511,  548,  548, 1584,  548,  548,  548,
      548,  548,  548,  548,  548,  353,  353,  353,  353,  353,

      353,  353,  353,  353,  353,  353,  555,  555, 1584,  555,
      555,  555,  555,  555,  555,  555,  555,  585,  585, 1584,
      585,  585,  585,  585,  585,  585,  585,  585,  586,  586,
     1584,  586,  586,  586,  586,  586,  586,  586,  586,  588,
      588, 1584,  588,  588,  588,  588,  588,  588,  588,  588,
      592,  592, 1584,  592,  592,  592,  592,  592,  592,  592,
      592,  600,  600, 1584,  600,  600,  600,  600,  600,  600,
      600,  600,  229,  229, 1584,  229,  229,  229,  229,  229,
      229,  229,  229,  640,  640, 1584,  640,  640,  640,  640,
      640,  640,  640,  640,  642,  642, 1584,  642,  642,  642,

      642,  642,  642,  642,  642,  650,  650, 1584,  650,  650,
      650,  650,  650,  650,  650,  650,  686,  686, 1584,  686,
      686,  686,  686,  686,  686,  686,  686,  690,  690, 1584,
      690,  690,  690,  690,  690,  690,  690,  690,  496,  496,
     1584,  496,  496,  496,  496,  496,  496,  496,  496,  695,
      695, 1584,  695,  695,  695,  695,  695,  695,  695,  695,
      696,  696, 1584,  696,  696,  696,  696,  696,  696,  696,
      696,  505,  505,  505,  505,  505,  505,  505,  505,  505,
      505,  505,  304,  304,  510,  510,  510,  510,  510,  510,
      510,  510,  510,  510,  510,  511,  511,  511,  511,  511,

      511,  511,  511,  511,  511,  511,  642,  642, 1584,  642,
      642,  642,  642,  642,  642,  642,  642,  548,  548, 1584,
      548,  548,  548,  548,  548,  548,  548,  548,  734,  734,
     1584,  734,  734,  734,  734,  734,  734,  734,  734,  585,
      585, 1584,  585,  585,  585,  585,  585,  585,  585,  585,
      771,  771, 1584,  771,  771,  771,  771,  771,  771,  771,
      771,  773,  773, 1584,  773,  773,  773,  773,  773,  773,
      773,  773,  816,  816, 1584,  816,  816,  816,  816,  816,
      816,  816,  816,  600,  600, 1584,  600,  600,  600,  600,
      600,  600,  600,  600,  818,  818, 1584,  818,  818,  818,

      818,  818,  818,  818,  818,  819,  819, 1584,  819,  819,
      819,  819,  819,  819,  819,  819,  229,  229, 1584,  229,
      229,  229,  229,  229,  229,  229,  229,  820,  820, 1584,
      820,  820,  820,  820,  820,  820,  820,  820,  821,  821,
     1584,  821,  821,  821,  821,  821,  821,  821,  821,  822,
      822, 1584,  822,  822,  822,  822,  822,  822,  822,  822,
      417,  417, 1584,  417,  417,  417,  417,  417,  417,  417,
      417,  830,  830, 1584,  830,  830,  830,  830,  830,  830,
      830,  830,  850,  850, 1584,  850,  850,  850,  850,  850,
      850,  850,  850,  854,  854, 1584,  854,  854,  854,  854,

      854,  854,  854,  854,  640,  640, 1584,  640,  640,  640,
      640,  640,  640,  640,  640,  856,  856, 1584,  856,  856,
      856,  856,  856,  856,  856,  856,  861,  861, 1584,  861,
      861,  861,  861,  861,  861,  861,  861,  862,  862,  862,
      862,  862,  862,  862,  862,  862,  862,  862,  866,  866,
      866,  866,  866,  866,  866,  866,  866,  866,  866,  867,
      867,  867,  867,  867,  867,  867,  867,  867,  867,  867,
      868,  868, 1584,  868,  868,  868,  868,  868,  868,  868,
      868,  869,  869, 1584,  869,  869,  869,  869,  869,  869,
      869,  869,  870,  870, 1584,  870,  870,  870,  870,  870,

      870,  870,  870,  871,  871, 1584,  871,  871,  871,  871,
      871,  871,  871,  871,  872,  872, 1584,  872,  872,  872,
      872,  872,  872,  872,  872,  873,  873, 1584,  873,  873,
      873,  873,  873,  873,  873,  873,  686,  686, 1584,  686,
      686,  686,  686,  686,  686,  686,  686,  874,  874, 1584,
      874,  874,  874,  874,  874,  874,  874,  874,  690,  690,
     1584,  690,  690,  690,  690,  690,  690,  690,  690,  877,
     1584,  877,  877,  877,  877,  877,  877,  877,  877,  877,
      856,  856, 1584,  856,  856,  856,  856,  856,  856,  856,
      856,  548,  548,  548,  548,  548,  548,  548,  548,  548,

      548,  548,  895,  895, 1584,  895,  895,  895,  895,  895,
      895,  895,  895,  922,  922, 1584,  922,  922,  922,  922,
      922,  922,  922,  922,  771,  771, 1584,  771,  771,  771,
      771,  771,  771,  771,  771,  923,  923, 1584,  923,  923,
      923,  923,  923,  923,  923,  923,  773,  773, 1584,  773,
      773,  773,  773,  773,  773,  773,  773,  999,  999, 1584,
      999,  999,  999,  999,  999,  999,  999,  999,  816,  816,
     1584,  816,  816,  816,  816,  816,  816,  816,  816,  818,
      818, 1584,  818,  818,  818,  818,  818,  818,  818,  818,
      819,  819, 1584,  819,  819,  819,  819,  819,  819,  819,

      819,  820,  820, 1584,  820,  820,  820,  820,  820,  820,
      820,  820,  821,  821, 1584,  821,  821,  821,  821,  821,
      821,  821,  821,  822,  822, 1584,  822,  822,  822,  822,
      822,  822,  822,  822,  830,  830, 1584,  830,  830,  830,
      830,  830,  830,  830,  830, 1003, 1003, 1584, 1003, 1003,
     1003, 1003, 1003, 1003, 1003, 1003, 1004, 1004, 1584, 1004,
     1004, 1004, 1004, 1004, 1004, 1004, 1004, 1005, 1005, 1584,
     1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 1006, 1006,
     1584, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 1007,
     1007, 1584, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007,

     1008, 1008, 1584, 1008, 1008, 1008, 1008, 1008, 1008, 1008,
     1008,  850,  850, 1584,  850,  850,  850,  850,  850,  850,
      850,  850, 1009, 1009, 1584, 1009, 1009, 1009, 1009, 1009,
     1009, 1009, 1009,  854,  854, 1584,  854,  854,  854,  854,
      854,  854,  854,  854, 1011, 1011, 1584, 1011, 1011, 1011,
     1011, 1011, 1011, 1011, 1011,  862,  862,  862,  862,  862,
      862,  862,  862,  862,  862,  862,  866,  866,  866,  866,
      866,  866,  866,  866,  866,  866,  866,  867,  867,  867,
      867,  867,  867,  867,  867,  867,  867,  867,  868,  868,
     1584,  868,  868,  868,  868,  868,  868,  868,  868,  869,

      869, 1584,  869,  869,  869,  869,  869,  869,  869,  869,
      870,  870, 1584,  870,  870,  870,  870,  870,  870,  870,
      870,  871,  871, 1584,  871,  871,  871,  871,  871,  871,
      871,  871,  872,  872, 1584,  872,  872,  872,  872,  872,
      872,  872,  872,  873,  873, 1584,  873,  873,  873,  873,
      873,  873,  873,  873,  874,  874, 1584,  874,  874,  874,
      874,  874,  874,  874,  874,  877, 1584,  877,  877,  877,
      877,  877,  877,  877,  877,  877, 1020, 1020, 1584, 1020,
     1020, 1020, 1020, 1020, 1020, 1020, 1020, 1044, 1044, 1584,
     1044, 1044, 1044, 1044, 1044, 1044, 1044, 1044, 1045, 1045,

     1584, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 1155,
     1584, 1155, 1155, 1172, 1172, 1584, 1172, 1172, 1172, 1172,
     1172, 1172, 1172, 1172, 1003, 1003, 1584, 1003, 1003, 1003,
     1003, 1003, 1003, 1003, 1003, 1004, 1004, 1584, 1004, 1004,
     1004, 1004, 1004, 1004, 1004, 1004, 1005, 1005, 1584, 1005,
     1005, 1005, 1005, 1005, 1005, 1005, 1005, 1006, 1006, 1584,
     1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 1007, 1007,
     1584, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 1008,
     1008, 1584, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008,
     1009, 1009, 1584, 1009, 1009, 1009, 1009, 1009, 1009, 1009,

     1009, 1175, 1175, 1175, 1175, 1175, 1175, 1175, 1175, 1175,
     1175, 1175, 1176, 1176, 1584, 1176, 1176, 1176, 1176, 1176,
     1176, 1176, 1176, 1193, 1193, 1584, 1193, 1193, 1193, 1193,
     1193, 1193, 1193, 1193, 1194, 1194, 1584, 1194, 1194, 1194,
     1194, 1194, 1194, 1194, 1194, 1342, 1342, 1584, 1342, 1342,
     1342, 1342, 1342, 1342, 1342, 1342, 1343, 1343, 1584, 1343,
     1343, 1343, 1343, 1343, 1343, 1343, 1343, 1352, 1352, 1352,
     1352, 1352, 1352, 1352, 1352, 1352, 1352, 1352, 1355, 1355,
     1355, 1355, 1355, 1355, 1355, 1355, 1355, 1355, 1355, 1358,
     1358, 1358, 1358, 1358, 1358, 1358, 1358, 1358, 1358, 1358,

     1363, 1363, 1584, 1363, 1363, 1363, 1363, 1363, 1363, 1363,
     1363, 1155, 1584, 1155, 1584, 1155, 1155, 1369, 1584, 1369,
     1584, 1369, 1369, 1396, 1396, 1584, 1396, 1396, 1396, 1396,
     1396, 1396, 1396, 1396, 1419, 1584, 1419, 1419, 1450, 1450,
     1584, 1450, 1450, 1450, 1450, 1450, 1450, 1450, 1450, 1454,
     1454, 1584, 1454, 1454, 1454, 1454, 1454, 1454, 1454, 1454,
     1458, 1458, 1584, 1458, 1458, 1458, 1458, 1458, 1458, 1458,
     1458, 1471, 1584, 1471, 1471,   37, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584
    } ;

static const flex_int16_t yy_chk[7718] =
    {   0,
        0,    0,    3,    3,    4,    4,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,

        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    7,    7,    7,
        7,    8,    8,    8,    8,   15,    9,   10,   25,   25,
       25,   25,    7,   27,   27,   27,    8,   26,   26,   26,
       26,  250,   25,   25,    9,   10,   28,   28,   28,   29,
       30,   26,   26,   33,   33,  250,   29,   30,   34,   34,
       15, 1768,   48,   29,   30,   48,   15,  379,   15,  379,

        7,    9,   10,   59,    8,  233,   59,   40,   40,   40,
       40,   25,  233,   25,   66,   66,   40,   66,   87,   87,
       26,   15,   26,   40,  789,   67,  789,   15,   67,   15,
      284,  284,    9,   10,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,

       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,

       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,

       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   16,   43,   43,   43,
       43,  260,  135,   55,   44,   44,   44,   44,   55,  368,
      260,   43,   43,   44,   44,   86,   86,   86,   86,   44,
       44,   60,   60,   60,   60,   60,   60,   60,   99,   99,
     1763,   16,   91,   91,   91,   91,  369,   16,  111,   16,
      368,  111, 1761,   99,  135,   55,  103,  103,  103,  103,
       43,  104,  104,  126,  269,  127,  126,   44,  127,  104,
      136,  139,   16,  136,  139,  269,  104,  369,   16,  139,
       16,   19,   19,   19,   19,   19,   19,   19,   19,   19,

       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,

       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   19,   19,   19,
       19,   19,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,

       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,

       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,

       23,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   45,   45,   45,   45,  370,  164,
      165,  155,  164,  165,  150,   52,  155,  130,   52,   45,
      130, 1751,   53,   53,   53,   53,  248,   83,  150,   52,
       83,   53,   53,   84,   84,   84,   84,  138,   53,  370,
      138,   83,   83,  296,  296,  148,  138,   97,  148,  166,
       97,  517,  166,  155,  148,  311,  311,   45,   51,   51,
       51,   51,   51,   51,   51,   51,   51,   51,   52,   51,
      130,  197,   51,   51,   51,   53,  167,   84,  248,  167,
       83,  108,  108,  108,  108, 1661,   84,  150,   84,   97,

      108,  197,  249,  113,   51,  150,  159,  108,   97,  159,
      113,  321,  197,  168,  159,  113,  168,  113,  169,   51,
       51,  169,  321,   51,   51,   51,   51,   51,   51,   51,
       97,   51,  197,  170,   51,   51,  170,   51,   51,   51,
      517,   51,   51,   51,   51,   51,   51,   51,  107,   51,
       51,   51,  113,  420,  249,  107,  109,  109,  109,  109,
      107,  270,  270,  270,  107,  107,  107,  420,  107,  440,
      109,  109,  110,  110,  110,  110,  113,  115,  115,  115,
      115,  436,  177,  107,  113,  177,  457,  110,  116,  116,
      116,  116,  115,  325,  325,  424,  107,  116,  116,  117,

      117,  117,  117,  116,  116,  178, 1639,  149,  178,  109,
      149,  785,  236,  239,  117,  236,  239,  123,  123,  123,
      123,  149,  328,  328,  785,  110,  123,  123,  204,  440,
      115,  204,  123,  123, 1630,  151,  151,  151,  151,  383,
      383,  116,  132,  132,  132,  132,  132,  132,  132,  132,
      436,  134,  117,  121,  121,  134,  121,  134,  134,  265,
      149,  457,  265,  134,  162,  162,  162,  162,  134,  121,
      123,  134,  371,  152,  152,  152,  152,  424,  220,  220,
      121,  204,  152,  152,  223,  223,  121,  121,  151,  152,
      121,  423,  121,  220,  121,  423,  121,  121,  121,  223,

      121,  240,  121,  371,  240,  443,  121,  154,  154,  240,
      154,  121,  154,  121,  241,  121,  275,  241,  121,  275,
      154,  154,  241,  121,  411,  411,  152,  154,  121,  122,
      122,  122,  122,  122,  122,  122,  122,  122,  122,  276,
      122,  514,  276,  122,  122,  122,  147,  276,  147,  572,
      147,  147,  147,  147,  147,  147,  147,  147,  147, 1242,
      156,  156,  156,  156,  190,  122,  443,  190,  572,  156,
      156,  191,  191,  191,  191,  429,  156,  760,  190,  190,
      122,  122,  414,  414,  122,  122,  122,  122,  122,  122,
      122, 1212,  122,  372,  194,  122,  122,  194,  122,  122,

      122,  760,  122,  122,  122,  122,  122,  122,  122,  194,
      122,  122,  122,  156,  157,  429,  514,  190,  157,  163,
      157,  157,  163,  805,  372,  432,  157,  192,  192,  192,
      192,  157,  253,  253,  157,  253,  805,  163,  163,  163,
      163,  217,  192,  195,  195,  195,  195,  194,  200,  200,
      200,  200,  201,  201,  201,  201,  202,  202,  202,  202,
      207,  207,  207,  207,  210,  210,  210,  210,  222,  217,
      222, 1242,  431,  261,  227,  227,  261,  374,  516,  222,
      217,  222,  227,  222,  432,  230,  217,  195,  230,  227,
      222,  231,  200,  432,  231,  463,  195, 1212,  195,  463,

      217,  200,  261,  200,  208,  208,  208,  208,  374,  234,
      238,  217,  431, 1204,  261,  234,  222,  217,  231,  230,
      234,  238,  242,  242,  242,  242,  234,  238,  230, 1303,
      208,  208,  234,  279,  231,  442,  279,  242,  208,  208,
      231,  238,  208,  208,  256,  208,  234,  256,  331,  208,
      516,  331,  238,  243,  243,  243,  243,  234,  238,  244,
      244,  244,  244,  234,  246,  246,  246,  246,  243,  208,
      247,  247,  247,  247,  244,  242,  439,  258,  256,  246,
      258,  262,  272,  293,  262,  247,  293,  256,  262,  493,
      493,  308,  293,  272,  308,  442,  442,  442,  262,  272,

      308, 1206,  313,  313,  258,  313,  243,  310,  310,  310,
      310,  332,  244,  272,  332,  532,  532,  246,  258,  318,
      258,  272,  318,  247,  272,  333,  258,  441,  333, 1581,
      272,  208,  208,  208, 1204,  208,  208,  208,  519,  208,
     1206,  208,  208,  251,  251, 1303,  251,  334,  324,  439,
      334,  324,  263,  318,  335,  313,  324,  335,  263,  251,
      310,  336,  318,  263,  336,  337,  560, 1577,  337,  263,
      251,  338,  574,  574,  338,  263,  251,  251,  339,  561,
      251,  339,  251, 1576,  251,  520,  251,  251,  251,  263,
      251,  441,  251, 1573,  318,  340,  251,  560,  340,  318,

      263,  251,  441,  251,  341,  251,  263,  341,  251,  342,
      561,  343,  342,  251,  343,  644,  644,  519,  251,  252,
      252,  252,  252,  252,  252,  252,  252,  252,  252,  402,
      252,  518,  402,  252,  252,  252,  306,  306,  306,  306,
      306,  306,  306,  306,  306,  350,  350,  350,  350,  351,
      351,  351,  351,  403,  352,  252,  403,  352,  354,  404,
      405,  354,  404,  405,  520,  355,  355,  355,  355,  352,
      252,  252, 1268,  354,  252,  252,  252,  252,  252,  252,
      252,  406,  252,  663,  406,  252,  252,  663,  252,  252,
      252,  573,  252,  252,  252,  252,  252,  252,  252,  518,

      252,  252,  252,  315,  315, 1268,  315,  352,  357,  355,
      518,  354,  361,  361,  361,  361, 1275,  653,  355,  315,
      355,  366,  366,  366,  366,  653,  577, 1572,  357,  315,
      315,  563,  315,  577,  315,  407,  315,  315,  407,  357,
      315, 1569,  315,  315,  315,  565,  315,  315,  315,  315,
      315,  408,  315,  573,  408,  409,  315,  410,  409,  357,
      410,  315,  563,  315,  468,  315,  437,  468,  315,  392,
      392,  392,  392,  315,  392,  809,  565,  809,  315,  316,
      316,  316,  316,  316,  316,  316,  316,  316,  316,  469,
      316,  566,  469,  316,  316,  316,  667,  567,  418,  418,

      418,  418,  425,  425,  667,  425,  419,  419,  419,  419,
      742,  426,  426,  418,  426,  316,  568,  421,  421,  421,
      421,  419,  566,  437,  446,  446,  437,  446,  567,  742,
      316,  316,  421, 1275,  316,  316,  316,  316,  316,  316,
      316,  470,  316,  571,  470,  316,  316,  568,  316,  316,
      316,  418,  316,  316,  316,  316,  316,  316,  316,  419,
      316,  316,  316,  363,  363,  363,  363,  862,  373,  422,
      421,  422,  373, 1207,  571,  862,  373,  446,  422,  654,
      654,  467,  373,  422,  467,  422,  467,  738,  373,  363,
      363,  428,  428,  471,  428,  373,  471,  363,  363,  373,

      434,  363,  363,  373,  363,  709,  709,  373,  363,  433,
      433,  740,  433,  373,  430,  430,  743,  430,  738,  373,
      422,  453,  453,  866,  453,  428,  434,  866,  363,  434,
      435, 1311,  472,  434,  428,  472,  455,  455,  433,  455,
      934,  430,  740,  434,  422,  455,  456,  743,  473,  916,
      433,  473,  422,  934,  444,  430,  435,  430,  474,  712,
      712,  474,  435,  430, 1234,  451,  867,  435,  373,  451,
      916,  451,  451,  435,  867,  465,  465,  451,  465,  435,
      475, 1207,  451,  475,  465,  451,  444,  761,  793,  793,
      363,  363,  363,  435,  363,  363,  363,  444,  363,  476,

      363,  363,  476,  444,  435,  477,  456,  761,  477,  456,
      435,  438,  478,  479,  456,  478,  479,  444,  480,  481,
      482,  480,  481,  482,  483,  444,  484,  483,  444,  484,
      485, 1311,  488,  485,  444,  488,  438,  438,  438,  438,
      438,  438,  438,  438,  438,  438,  438,  438,  438,  438,
      438,  438,  438,  438,  438,  438,  438,  438,  438,  438,
      438,  438,  448,  489,  490,  492,  489,  490,  492,  497,
      500, 1226,  497,  500,  486,  524, 1226,  486,  524,  448,
      448,  448,  448,  448,  448,  448,  448,  460, 1234,  523,
      526,  521,  486,  526, 1567,  521,  460,  521,  521,  527,

      813,  813,  527,  521,  460,  460,  460,  460,  521,  824,
      824,  521,  460,  460,  460,  460,  460,  460,  460,  460,
      460,  460,  460,  460,  460,  460,  460,  460,  460,  460,
      460,  460,  460,  460,  460,  460,  460,  460,  461,  486,
      528,  529,  530,  528,  529,  530,  513,  531,  513,  523,
      531,  537,  523,  538,  537,  539,  538,  523,  539,  938,
      744,  938,  513,  461,  461,  461,  461,  461,  461,  461,
      461,  461,  461,  461,  461,  461,  461,  461,  461,  461,
      461,  461,  461,  461,  461,  461,  461,  461,  461,  540,
      541,  744,  540,  541,  461,  461,  461,  461,  461,  461,

      461,  461,  461,  461,  461,  461,  461,  461,  461,  461,
      461,  461,  461,  461,  461,  461,  461,  461,  461,  461,
      462,  513,  546,  603,  607,  546,  603,  607, 1269,  513,
      559,  559,  559,  559,  827,  827,  462,  462,  462,  462,
      462,  462,  462,  462,  462,  462,  462,  462,  462,  462,
      462,  462,  462,  462,  462,  462,  462,  462,  462,  462,
      462,  462,  613,  515,  515,  613,  515,  462,  462,  462,
      462,  462,  462,  462,  462,  462,  462,  462,  462,  462,
      462,  462,  462,  462,  462,  462,  462,  462,  462,  462,
      462,  462,  462,  464,  961,  553,  965,  515,  553,  545,

      562,  615,  545,  965,  615,  464,  515,  464, 1056,  464,
      464,  464,  464,  464,  464,  464,  464,  464,  545,  549,
      746, 1056,  549,  562,  550,  550,  550,  550,  564,  570,
     1563,  562,  614,  570,  549,  614, 1269,  614,  515,  550,
      564,  616,  609,  515,  616,  609,  570,  988,  553,  564,
      609,  746,  570,  564,  610,  617,  961,  610,  617,  564,
      618,  619,  610,  618,  619,  620,  621,  622,  620,  621,
      622,  564,  549,  556,  556,  556,  556, 1124,  623,  624,
      564,  623,  624,  625,  564,  626,  625,  627,  626,  628,
      627,  629,  628, 1214,  629,  630,  562, 1124,  630,  556,

      556,  631,  632,  633,  631,  632,  633,  556,  556,  988,
      635,  556,  556,  635,  556, 1562,  636,  637,  556,  636,
      637,  633,  639,  652,  666,  639,  652,  666,  672,  909,
      909,  672,  652,  666,  673,  915,  915,  673,  556,  664,
      664,  664,  664,  664,  664,  664,  664,  664,  674,  675,
      676,  674,  675,  676,  679,  680,  682,  679,  680,  682,
      683,  684,  685,  683,  684,  685,  688,  689,  633,  688,
      689,  691,  693,  694,  691,  693,  694,  698,  701,  703,
      698,  701,  703,  704,  705,  706,  704,  705,  706,  707,
      708,  715,  707,  708,  715,  716,  717, 1214,  716,  717,

      556,  556,  556, 1561,  556,  556,  556, 1060,  556, 1060,
      556,  556,  590,  590,  590,  590,  718,  590,  719,  718,
      720,  719,  721,  720,  722,  721,  726,  722,  728,  726,
      729,  728,  730,  729,  731,  730, 1163,  731,  590,  590,
      732,  732,  732,  732,  749,  736,  590,  590,  736,  747,
      590,  590, 1240,  590,  751,  753, 1163,  590,  733,  733,
      733,  733,  754,  747,  755,  590,  735,  735,  735,  735,
      739,  739,  739,  739,  745,  749,  766,  590,  745,  766,
      747,  748,  748,  748,  748,  751,  753,  745,  777,  778,
      779,  780,  781,  754,  747,  755, 1304,  750,  750,  750,

      750,  783,  797,  798,  799,  745, 1279,  800, 1540,  745,
      823,  801, 1123,  823,  831,  803, 1539,  831,  745,  777,
      778,  779,  780,  781,  750,  836,  837,  750,  836,  837,
      917,  917,  783,  797,  798,  799, 1123,  750,  800,  590,
      590,  590,  801,  590,  590,  590,  803,  590, 1538,  590,
      590,  591,  591,  591,  591,  750,  591,  838,  750, 1162,
      838,  776,  776,  839,  840, 1208,  839,  840,  750,  776,
      776, 1240,  843,  776,  776,  843,  776,  591,  591,  844,
      776,  846,  844, 1162,  846,  591,  591,  782,  776,  591,
      591,  782,  591, 1028,  847,  782,  591,  847,  897,  848,

      776,  782,  848,  849,  591,  852,  849,  782,  852, 1028,
      853,  766,  766,  853,  782, 1028,  591,  855,  782, 1083,
      855,  858,  782, 1304,  858,  875,  782,  876,  875,  897,
      876,  878,  782,  879,  878, 1279,  879,  880,  782,  881,
      880,  882,  881,  883,  882,  884,  883,  885,  884,  888,
      885,  890,  888,  891,  890,  892,  891,  893,  892, 1537,
      893, 1260,  776,  776,  776, 1260,  776,  776,  776, 1517,
      776,  894,  776,  776,  894,  942,  942, 1512,  591,  591,
      591, 1083,  591,  591,  591, 1208,  591,  782,  591,  591,
      658,  658,  658,  658,  658,  658,  658,  658,  658,  658,

      658,  658,  658,  658,  658,  658,  658,  658,  658,  658,
      658,  658,  658,  658,  658,  658,  661,  661,  661,  661,
      661,  661,  661,  661,  661,  661,  661,  661,  661,  661,
      661,  661,  661,  661,  661,  661,  661,  661,  661,  661,
      661,  661,  896,  962,  962,  896,  898,  661,  661,  661,
      661,  661,  661,  661,  661,  661,  661,  661,  661,  661,
      661,  661,  661,  661,  661,  661,  661,  661,  661,  661,
      661,  661,  661,  775,  775,  775,  775,  898,  775,  900,
      989,  989,  796,  796, 1000,  901,  902, 1000, 1237,  904,
      796,  796, 1211,  905,  796,  796,  906,  796, 1511,  775,

      775,  796,  903,  903,  903,  903,  926,  775,  775,  796,
      900,  775,  775,  927,  775,  802,  901,  902,  775,  802,
      904,  796,  928,  802,  905,  929,  775,  906,  930,  802,
      932,  946,  947,  949,  951,  802,  952,  926,  775,  953,
      954,  903,  802, 1498,  927,  992,  802,  957,  973,  974,
      802,  956,  992,  928,  802,  956,  929, 1489,  958,  930,
      802,  932,  946,  947,  949,  951,  802,  952,  956,  983,
      953,  954,  903,  983,  956, 1211,  948,  958,  957,  973,
      974,  976,  978,  796,  796,  796,  983,  796,  796,  796,
      985,  796,  983,  796,  796, 1002, 1036, 1036, 1002,  948,

      775,  775,  775, 1479,  775,  775,  775,  948,  775,  985,
      775,  775,  976,  978, 1237,  802,  864,  864,  864,  864,
      864,  864,  864,  864,  864,  864,  864,  864,  864,  864,
      864,  864,  864,  864,  864,  864,  864,  864,  864,  864,
      864,  864,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865, 1010, 1064,
     1064, 1010,  948,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  865,
      865,  865,  865,  865,  865,  865,  865,  865,  865,  924,

      924,  924,  924, 1013,  924,  979, 1013,  945,  925,  925,
      945, 1016,  945, 1302, 1016, 1018,  925,  925, 1018,  980,
      925,  925,  981,  925, 1478,  924,  924,  925,  975, 1015,
     1015,  984, 1015,  924,  924,  925,  979,  924,  924, 1021,
      924,  931,  950,  972,  924,  931,  972,  925,  972,  931,
      980,  975,  924,  981,  950,  931, 1023, 1024, 1025,  975,
      945,  931,  984,  950,  924, 1477, 1019,  950,  931, 1019,
     1021, 1239,  931,  950, 1080, 1476,  931, 1026, 1084, 1084,
      931, 1022, 1022, 1022, 1022,  950,  931, 1023, 1024, 1025,
     1048, 1049,  931, 1080,  950,  960,  972,  960,  950,  960,

      960,  960,  960,  960,  960,  960,  960,  960, 1026,  925,
      925,  925, 1210,  925,  925,  925, 1050,  925, 1051,  925,
      925, 1048, 1049, 1052,  975, 1054,  924,  924,  924, 1287,
      924,  924,  924, 1287,  924, 1067,  924,  924, 1067, 1302,
     1067,  931,  959, 1027, 1027, 1027, 1027, 1050, 1087, 1051,
      959,  959,  959,  959, 1052, 1087, 1054, 1239,  959,  959,
      959,  959,  959,  959,  959,  959,  959,  959,  959,  959,
      959,  959,  959,  959,  959,  959,  959,  959,  959,  959,
      959,  959,  959,  959,  977, 1030, 1030, 1078, 1067, 1095,
     1129, 1078, 1095, 1129, 1068, 1069,  977, 1071, 1096, 1073,

     1074, 1075, 1076, 1079, 1078,  977, 1070, 1030, 1030,  977,
     1078, 1096,  987, 1210,  987,  977,  987,  987,  987,  987,
      987,  987,  987,  987,  987, 1068, 1069,  977, 1071, 1070,
     1073, 1074, 1075, 1076, 1079, 1097,  977, 1070, 1101, 1099,
      977, 1046, 1046, 1046, 1046, 1134, 1046, 1102, 1134, 1094,
     1047, 1047, 1094, 1140, 1094, 1230, 1233, 1101, 1047, 1047,
     1230, 1103, 1047, 1047, 1105, 1047, 1097, 1046, 1046, 1047,
     1099, 1173, 1140, 1108, 1173, 1046, 1046, 1047, 1102, 1046,
     1046, 1110, 1046, 1053, 1072, 1098, 1046, 1053, 1098, 1047,
     1098, 1053, 1103, 1112, 1046, 1105, 1072, 1053, 1113, 1114,

     1136, 1475, 1070, 1053, 1108, 1072, 1046, 1135, 1133, 1072,
     1053, 1133, 1110, 1133, 1053, 1072, 1249, 1280, 1053, 1104,
     1135, 1249, 1053, 1104, 1112, 1129, 1129, 1072, 1053, 1113,
     1114, 1136, 1104, 1138, 1053, 1141, 1072, 1082, 1098, 1082,
     1072, 1082, 1082, 1082, 1082, 1082, 1082, 1082, 1082, 1082,
     1104, 1047, 1047, 1047, 1104, 1047, 1047, 1047, 1142, 1047,
     1144, 1047, 1047, 1104, 1138, 1147, 1141, 1149, 1046, 1046,
     1046, 1209, 1046, 1046, 1046, 1474, 1046, 1107, 1046, 1046,
     1107, 1250, 1107, 1053, 1081, 1137, 1233, 1233, 1137, 1142,
     1137, 1144, 1081, 1081, 1081, 1081, 1147, 1274, 1149, 1213,

     1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081,
     1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081,
     1081, 1081, 1081, 1081, 1081, 1081, 1106, 1235, 1109, 1151,
     1107, 1109, 1143, 1109, 1116, 1116, 1143, 1467, 1137, 1152,
     1106, 1153, 1116, 1116, 1177, 1143, 1116, 1116, 1174, 1116,
     1280, 1174, 1271, 1116, 1238, 1109, 1168, 1106, 1109, 1168,
     1151, 1116, 1462, 1143, 1209, 1250, 1209, 1143, 1109, 1215,
     1152, 1106, 1153, 1116, 1146, 1177, 1143, 1146, 1274, 1146,
     1296, 1109, 1175, 1175, 1250, 1175, 1109, 1213, 1213, 1109,
     1117, 1117, 1117, 1117, 1117, 1117, 1117, 1117, 1117, 1109,

     1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115,
     1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115, 1115,
     1115, 1115, 1115, 1115, 1115, 1115, 1178, 1146, 1330, 1330,
     1145, 1179, 1179, 1179, 1179, 1116, 1116, 1116, 1198, 1116,
     1116, 1116, 1448, 1116, 1145, 1116, 1116, 1118, 1118, 1148,
     1296, 1235, 1148, 1271, 1148, 1118, 1118, 1178, 1238, 1118,
     1118, 1145, 1118, 1198, 1215, 1201, 1118, 1283, 1243, 1155,
     1155, 1243, 1283, 1243, 1118, 1145, 1148, 1155, 1155, 1148,
     1312, 1155, 1155, 1312, 1155, 1197, 1118, 1241, 1155, 1148,
     1201, 1168, 1168, 1447, 1198, 1446, 1155, 1180, 1180, 1180,

     1180, 1440, 1148, 1187, 1187, 1187, 1187, 1148, 1155, 1197,
     1148, 1156, 1156, 1156, 1156, 1156, 1156, 1156, 1156, 1156,
     1148, 1201, 1199, 1277, 1157, 1157, 1188, 1188, 1188, 1188,
     1205, 1217, 1157, 1157, 1236, 1200, 1157, 1157, 1251, 1157,
     1197, 1309, 1222, 1157, 1189, 1189, 1189, 1189, 1118, 1118,
     1118, 1157, 1118, 1118, 1118, 1199, 1118, 1216, 1118, 1118,
     1216, 1196, 1216, 1157, 1191, 1191, 1191, 1191, 1200, 1241,
     1155, 1155, 1155, 1251, 1155, 1155, 1155, 1217, 1155, 1223,
     1155, 1155, 1196, 1196, 1222, 1220, 1199, 1205, 1257, 1227,
     1196, 1196, 1203, 1202, 1196, 1196, 1232, 1196, 1218, 1200,

     1205, 1196, 1244, 1297, 1251, 1244, 1310, 1244, 1217, 1196,
     1216, 1229, 1223, 1203, 1202, 1222, 1299, 1257, 1202, 1220,
     1270, 1196, 1202, 1218, 1228, 1157, 1157, 1157, 1202, 1157,
     1157, 1157, 1438, 1157, 1202, 1157, 1157, 1195, 1195, 1195,
     1195, 1202, 1195, 1223, 1203, 1202, 1224, 1225, 1257, 1202,
     1220, 1277, 1219, 1202, 1218, 1273, 1232, 1281, 1309, 1202,
     1297, 1236, 1431, 1195, 1195, 1202, 1228, 1288, 1236, 1227,
     1427, 1195, 1195, 1227, 1221, 1195, 1195, 1219, 1195, 1224,
     1225, 1298, 1195, 1196, 1196, 1196, 1227, 1196, 1196, 1196,
     1195, 1196, 1227, 1196, 1196, 1221, 1229, 1228, 1246, 1276,

     1219, 1245, 1195, 1300, 1270, 1301, 1426, 1221, 1219, 1288,
     1224, 1225, 1248, 1261, 1202, 1229, 1221, 1231, 1232, 1252,
     1221, 1254, 1310, 1246, 1299, 1231, 1221, 1231, 1253, 1231,
     1231, 1231, 1231, 1231, 1231, 1231, 1231, 1231, 1221, 1247,
     1288, 1290, 1247, 1273, 1247, 1256, 1248, 1221, 1256, 1253,
     1256, 1221, 1252, 1253, 1246, 1254, 1255, 1259, 1245, 1261,
     1262, 1263, 1253, 1273, 1195, 1195, 1195, 1298, 1195, 1195,
     1195, 1245, 1195, 1219, 1195, 1195, 1272, 1248, 1425, 1290,
     1253, 1262, 1259, 1252, 1253, 1255, 1254, 1306, 1285, 1281,
     1261, 1258, 1247, 1253, 1258, 1263, 1258, 1424, 1256, 1255,

     1276, 1282, 1278, 1265, 1282, 1278, 1282, 1278, 1423, 1292,
     1290, 1286, 1262, 1259, 1294, 1305, 1255, 1285, 1258, 1289,
     1437, 1258, 1308, 1307, 1265, 1265, 1263, 1300, 1300, 1301,
     1255, 1258, 1265, 1265, 1292, 1422, 1265, 1265, 1294, 1265,
     1289, 1266, 1437, 1265, 1258, 1267, 1286, 1293, 1285, 1258,
     1413, 1265, 1258, 1266, 1266, 1266, 1266, 1266, 1266, 1266,
     1266, 1266, 1258, 1265, 1435, 1292, 1267, 1267, 1313, 1294,
     1272, 1289, 1293, 1313, 1267, 1267, 1337, 1286, 1267, 1267,
     1412, 1267, 1336, 1336, 1435, 1267, 1338, 1338, 1315, 1316,
     1318, 1389, 1389, 1267, 1272, 1291, 1284, 1337, 1291, 1367,

     1291, 1319, 1367, 1293, 1284, 1267, 1284, 1307, 1284, 1284,
     1284, 1284, 1284, 1284, 1284, 1284, 1284, 1306, 1306, 1315,
     1316, 1318, 1305, 1308, 1308, 1265, 1265, 1265, 1307, 1265,
     1265, 1265, 1319, 1265, 1291, 1265, 1265, 1278, 1278, 1295,
     1347, 1410, 1409, 1320, 1295, 1322, 1405, 1404, 1291, 1323,
     1436, 1324, 1295, 1295, 1295, 1295, 1321, 1403, 1402, 1321,
     1401, 1321, 1344, 1345, 1347, 1291, 1372, 1267, 1267, 1267,
     1436, 1267, 1267, 1267, 1320, 1267, 1322, 1267, 1267, 1314,
     1323, 1314, 1324, 1314, 1314, 1314, 1314, 1314, 1314, 1314,
     1314, 1314, 1381, 1344, 1345, 1321, 1346, 1372, 1400, 1346,

     1351, 1351, 1351, 1351, 1352, 1352, 1352, 1352, 1381, 1321,
     1353, 1353, 1353, 1353, 1381, 1395, 1346, 1354, 1354, 1354,
     1354, 1346, 1355, 1355, 1355, 1355, 1321, 1356, 1356, 1356,
     1356, 1357, 1357, 1357, 1357, 1358, 1358, 1358, 1358, 1359,
     1359, 1359, 1359, 1360, 1360, 1360, 1360, 1366, 1366, 1369,
     1383, 1383, 1369, 1374, 1369, 1366, 1366, 1375, 1371, 1366,
     1366, 1371, 1366, 1371, 1373, 1376, 1366, 1373, 1377, 1373,
     1398, 1445, 1383, 1383, 1366, 1370, 1370, 1370, 1370, 1370,
     1370, 1370, 1370, 1370, 1374, 1394, 1366, 1380, 1375, 1393,
     1380, 1392, 1380, 1391, 1390, 1445, 1376, 1399, 1388, 1377,

     1387, 1398, 1369, 1406, 1406, 1406, 1406, 1407, 1407, 1407,
     1407, 1371, 1414, 1415, 1378, 1433, 1378, 1373, 1378, 1378,
     1378, 1378, 1378, 1378, 1378, 1378, 1378, 1490, 1399, 1408,
     1408, 1408, 1408, 1420, 1421, 1386, 1420, 1421, 1420, 1421,
     1380, 1497, 1428, 1414, 1415, 1428, 1433, 1428, 1366, 1366,
     1366, 1490, 1366, 1366, 1366, 1411, 1366, 1434, 1366, 1366,
     1411, 1429, 1430, 1497, 1429, 1430, 1429, 1430, 1411, 1411,
     1411, 1411, 1416, 1416, 1416, 1416, 1416, 1416, 1416, 1416,
     1416, 1417, 1417, 1491, 1385, 1384, 1420, 1421, 1434, 1417,
     1417, 1382, 1379, 1417, 1417, 1428, 1417, 1419, 1419, 1432,

     1417, 1441, 1432, 1442, 1432, 1419, 1419, 1491, 1449, 1419,
     1419, 1449, 1419, 1449, 1429, 1430, 1419, 1439, 1362, 1439,
     1417, 1439, 1439, 1439, 1439, 1439, 1439, 1439, 1439, 1439,
     1443, 1495, 1441, 1463, 1442, 1361, 1419, 1464, 1443, 1443,
     1443, 1443, 1444, 1450, 1451, 1444, 1450, 1451, 1450, 1451,
     1469, 1495, 1432, 1469, 1452, 1469, 1496, 1452, 1472, 1452,
     1453, 1449, 1444, 1453, 1463, 1453, 1454, 1444, 1464, 1454,
     1455, 1454, 1527, 1455, 1456, 1455, 1496, 1456, 1350, 1456,
     1349, 1528, 1417, 1417, 1417, 1348, 1417, 1417, 1417, 1472,
     1417, 1342, 1417, 1417, 1527, 1341, 1450, 1451, 1419, 1419,

     1419, 1340, 1419, 1419, 1419, 1528, 1419, 1452, 1419, 1419,
     1339, 1457, 1458, 1453, 1457, 1458, 1457, 1458, 1335, 1454,
     1334, 1459, 1453, 1455, 1459, 1460, 1459, 1456, 1460, 1461,
     1460, 1473, 1461, 1553, 1461, 1453, 1465, 1465, 1465, 1465,
     1466, 1466, 1466, 1466, 1468, 1468, 1468, 1468, 1468, 1468,
     1468, 1468, 1468, 1471, 1480, 1553, 1471, 1480, 1471, 1480,
     1529, 1530, 1473, 1493, 1457, 1458, 1483, 1554, 1494, 1483,
     1564, 1483, 1333, 1457, 1459, 1566, 1486, 1332, 1460, 1486,
     1331, 1486, 1461, 1329, 1529, 1530, 1457, 1554, 1328, 1327,
     1564, 1461, 1492, 1482, 1493, 1566, 1482, 1513, 1482, 1494,

     1492, 1492, 1492, 1492, 1461, 1514, 1482, 1480, 1482, 1555,
     1482, 1482, 1482, 1482, 1482, 1482, 1482, 1482, 1482, 1483,
     1485, 1500, 1326, 1485, 1500, 1485, 1500, 1502, 1513, 1486,
     1502, 1555, 1502, 1485, 1571, 1485, 1514, 1485, 1485, 1485,
     1485, 1485, 1485, 1485, 1485, 1485, 1482, 1518, 1556, 1325,
     1317, 1521, 1264, 1565, 1571, 1518, 1518, 1518, 1518, 1521,
     1521, 1521, 1521, 1194, 1193, 1465, 1481, 1192, 1190, 1481,
     1186, 1481, 1556, 1485, 1500, 1565, 1481, 1185, 1504, 1184,
     1502, 1504, 1183, 1504, 1481, 1481, 1481, 1481, 1560, 1560,
     1560, 1560, 1481, 1481, 1481, 1481, 1481, 1481, 1481, 1481,

     1481, 1481, 1481, 1481, 1481, 1481, 1481, 1481, 1481, 1481,
     1481, 1481, 1481, 1481, 1481, 1481, 1481, 1481, 1570, 1481,
     1484, 1574, 1578, 1484, 1182, 1484, 1181, 1171, 1170, 1506,
     1484, 1504, 1506, 1169, 1506, 1167, 1166, 1165, 1484, 1484,
     1484, 1484, 1570, 1574, 1578, 1164, 1484, 1484, 1484, 1484,
     1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484,
     1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484, 1484,
     1484, 1484, 1575, 1484, 1487, 1508, 1579, 1487, 1508, 1487,
     1508, 1161, 1506, 1510, 1487, 1160, 1510, 1159, 1510, 1158,
     1150, 1139, 1487, 1487, 1487, 1487, 1575, 1132, 1579, 1131,

     1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487,
     1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487, 1487,
     1487, 1487, 1487, 1487, 1487, 1487, 1488, 1487, 1508, 1488,
     1130, 1488, 1128, 1127, 1126, 1501, 1510, 1125, 1501, 1488,
     1501, 1488, 1582, 1488, 1488, 1488, 1488, 1488, 1488, 1488,
     1488, 1488, 1501, 1501, 1501, 1501, 1501, 1501, 1501, 1501,
     1501, 1524, 1122, 1121, 1582, 1557, 1120, 1119, 1111, 1524,
     1524, 1524, 1524, 1557, 1557, 1557, 1557, 1100, 1093, 1488,
     1499, 1092, 1091, 1499, 1090, 1499, 1089, 1088, 1501, 1086,
     1085, 1516, 1515, 1077, 1516, 1515, 1516, 1515, 1542, 1544,

     1066, 1542, 1544, 1542, 1544, 1065, 1499, 1499, 1499, 1499,
     1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499,
     1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499, 1499,
     1499, 1499, 1063, 1499, 1503, 1546, 1062, 1503, 1546, 1503,
     1546, 1061, 1059, 1548, 1516, 1515, 1548, 1558, 1548, 1058,
     1057, 1542, 1544, 1055, 1043, 1558, 1558, 1558, 1558, 1042,
     1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503,
     1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503, 1503,
     1503, 1503, 1503, 1503, 1503, 1503, 1505, 1503, 1546, 1505,
     1041, 1505, 1040, 1039, 1038, 1509, 1548, 1037, 1509, 1035,

     1509, 1034, 1033, 1505, 1505, 1505, 1505, 1505, 1505, 1505,
     1505, 1505, 1509, 1509, 1509, 1509, 1509, 1509, 1509, 1509,
     1509, 1515, 1559, 1580, 1580, 1580, 1580, 1032, 1031, 1029,
     1559, 1559, 1559, 1559, 1001,  998,  997,  996,  995, 1505,
     1507, 1519,  994, 1507, 1519, 1507, 1519, 1520, 1509,  993,
     1520, 1522, 1520,  991, 1522, 1523, 1522,  990, 1523, 1525,
     1523,  986, 1525,  982, 1525,  971, 1507, 1507, 1507, 1507,
     1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507,
     1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507, 1507,
     1507, 1507, 1526, 1507, 1519, 1526, 1550, 1526,  970, 1550,

     1520, 1550,  969, 1519, 1522,  968,  967,  966, 1523, 1520,
      964,  963, 1525, 1522,  955, 1552, 1519, 1523, 1552,  944,
     1552, 1525, 1520,  943, 1568,  941, 1522, 1568, 1583, 1568,
     1523, 1583,  940, 1583, 1525,  939,  937,  936, 1531,  935,
      933, 1531,  921, 1531,  920, 1526,  919,  918,  914, 1550,
      913, 1531,  912, 1531, 1526, 1531, 1531, 1531, 1531, 1531,
     1531, 1531, 1531, 1531,  911,  910,  908, 1526, 1552,  907,
      899,  887,  863,  829,  828,  826,  825, 1568,  815,  814,
      812, 1583,  811,  810,  808,  807,  806,  804,  795,  794,
      792, 1531, 1532,  791,  790,  788,  787,  786,  784,  770,

     1532, 1532, 1532, 1532,  769,  768,  767,  765, 1532, 1532,
     1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532,
     1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532, 1532,
     1532, 1532, 1532, 1532, 1533,  764,  763, 1533,  762, 1533,
      759,  758,  757,  756,  752,  741,  737, 1533,  727, 1533,
      725, 1533, 1533, 1533, 1533, 1533, 1533, 1533, 1533, 1533,
      723,  714,  713,  711,  710,  702,  696,  692,  656,  655,
      649,  648,  647,  646,  645,  643,  612,  608,  593,  592,
      589,  588,  587,  586,  584,  583,  582, 1533, 1534,  581,
      580,  579,  578,  576,  575,  569, 1534, 1534, 1534, 1534,

      557,  551,  547,  544, 1534, 1534, 1534, 1534, 1534, 1534,
     1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534,
     1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534, 1534,
     1535,  543,  542, 1535,  536, 1535,  534,  533,  525,  522,
      512,  511,  510, 1535,  507, 1535,  506, 1535, 1535, 1535,
     1535, 1535, 1535, 1535, 1535, 1535,  505,  495,  494,  459,
      458,  454,  452,  450,  449,  445,  427,  417,  416,  415,
      413,  412,  400,  398,  397,  396,  395,  394,  393,  391,
      390,  389,  388, 1535, 1536,  386,  385,  384,  382,  381,
      380,  378, 1536, 1536, 1536, 1536,  377,  376,  375,  367,

     1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536,
     1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536, 1536,
     1536, 1536, 1536, 1536, 1536, 1536, 1541,  364,  359, 1541,
      358, 1541,  356,  349,  348,  347,  346,  345,  344,  330,
      329,  327,  326, 1541, 1541, 1541, 1541, 1541, 1541, 1541,
     1541, 1541,  323, 1545,  322,  320, 1545,  319, 1545,  317,
      314,  312,  298,  297,  289,  288,  287,  286,  285,  283,
     1545, 1545, 1545, 1545, 1545, 1545, 1545, 1545, 1545, 1541,
     1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543,
     1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543, 1543,

     1543, 1543, 1543, 1543, 1543, 1543, 1545, 1547, 1547, 1547,
     1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547,
     1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547, 1547,
     1547, 1547, 1547, 1549,  278,  274, 1549,  271, 1549,  268,
      267,  264,  259,  257,  255,  245,  237,  235,  232,  228,
     1549, 1549, 1549, 1549, 1549, 1549, 1549, 1549, 1549,  226,
      221,  218,  216,  215,  214,  213,  211,  209,  203,  199,
      198,  196,  193,  182,  181,  180,  176,  175,  174,  161,
      153,  146,  145,  143,  140,  125, 1549, 1551, 1551, 1551,
     1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551,

     1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551, 1551,
     1551, 1551, 1551, 1585, 1585, 1585, 1585, 1585, 1585, 1585,
     1585, 1585, 1585, 1585, 1586, 1586, 1586, 1586, 1586, 1586,
     1586, 1586, 1586, 1586, 1586, 1587, 1587, 1587, 1587, 1587,
     1587, 1587, 1587, 1587, 1587, 1587, 1588, 1588, 1588, 1588,
     1588, 1588, 1588, 1588, 1588, 1588, 1588, 1589, 1589, 1589,
     1589, 1589, 1589, 1589, 1589, 1589, 1589, 1589, 1590, 1590,
     1590, 1590, 1590, 1590, 1590, 1590, 1590, 1590, 1590, 1591,
     1591, 1591, 1591, 1591, 1591, 1591, 1591, 1591, 1591, 1591,
     1592, 1592, 1592, 1592, 1592, 1592, 1592, 1592, 1592, 1592,

     1592, 1593, 1593, 1593, 1593, 1593, 1593, 1593, 1593, 1593,
     1593, 1593, 1594, 1594, 1594, 1594, 1594, 1594, 1594, 1594,
     1594, 1594, 1594, 1595, 1595, 1595, 1595, 1595, 1595, 1595,
     1595, 1595, 1595, 1595, 1596, 1596, 1596, 1596, 1597, 1597,
      124, 1597, 1597, 1597, 1597, 1597, 1597, 1597, 1597, 1598,
      120,  119,  118, 1598, 1598, 1598, 1598, 1598, 1598, 1598,
     1599, 1599,  112,  105, 1599, 1599, 1599, 1599, 1599, 1599,
     1599, 1600, 1600,  102, 1600, 1600, 1600, 1600, 1600, 1600,
     1600, 1600, 1601,  100,   96,   95, 1601, 1601, 1601, 1601,
     1601, 1601, 1601, 1602,   93,   92,   89, 1602, 1602, 1602,

     1602, 1602, 1602, 1602, 1603,   88,   85,   81, 1603, 1603,
     1603, 1603, 1603, 1603, 1603, 1604, 1604,   78, 1604, 1604,
     1604, 1604, 1604, 1604, 1604, 1604, 1605, 1605,   75, 1605,
     1605, 1605, 1605, 1605, 1605, 1605, 1605, 1606, 1606,   72,
     1606, 1606, 1606, 1606, 1606, 1606, 1606, 1606, 1607, 1607,
       71, 1607, 1607, 1607, 1607, 1607, 1607, 1607, 1607, 1608,
     1608, 1608, 1608, 1608, 1608, 1608, 1608, 1608, 1608, 1608,
     1609, 1609, 1609, 1609, 1610, 1610,   70, 1610, 1610, 1610,
     1610, 1610, 1610, 1610, 1610, 1611, 1611,   69, 1611, 1611,
     1611, 1611, 1611, 1611, 1611, 1611, 1612, 1612,   65, 1612,

     1612, 1612, 1612, 1612, 1612, 1612, 1612, 1613, 1613,   62,
     1613, 1613, 1613, 1613, 1613, 1613, 1613, 1613, 1614,   58,
     1614, 1614, 1615, 1615, 1616,   57,   54, 1616, 1616, 1617,
       49,   47,   46, 1617, 1617, 1617, 1617, 1617, 1617, 1617,
     1618, 1618,   41,   37, 1618, 1618, 1618, 1618, 1618, 1618,
     1618, 1619, 1619,   36, 1619, 1619, 1619, 1619, 1619, 1619,
     1619, 1619, 1620,   35,   18,   17, 1620, 1620, 1620, 1620,
     1620, 1620, 1620, 1621,    0,    0,    0, 1621, 1621, 1621,
     1621, 1621, 1621, 1621, 1622,    0,    0,    0, 1622, 1622,
     1622, 1622, 1622, 1622, 1622, 1623, 1623, 1623, 1623, 1623,

     1623, 1623, 1623, 1623, 1623, 1623, 1624, 1624,    0, 1624,
     1624, 1624, 1624, 1624, 1624, 1624, 1624, 1625, 1625,    0,
     1625, 1625, 1625, 1625, 1625, 1625, 1625, 1625, 1626, 1626,
        0, 1626, 1626, 1626, 1626, 1626, 1626, 1626, 1626, 1627,
     1627,    0, 1627, 1627, 1627, 1627, 1627, 1627, 1627, 1627,
     1628, 1628,    0, 1628, 1628, 1628, 1628, 1628, 1628, 1628,
     1628, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629, 1629,
     1629, 1629, 1631, 1631,    0, 1631, 1631, 1631, 1631, 1631,
     1631, 1631, 1631, 1632, 1632,    0, 1632, 1632, 1632, 1632,
     1632, 1632, 1632, 1632, 1633, 1633,    0, 1633, 1633, 1633,

     1633, 1633, 1633, 1633, 1633, 1634, 1634,    0, 1634, 1634,
     1634, 1634, 1634, 1634, 1634, 1634, 1635, 1635,    0, 1635,
     1635, 1635, 1635, 1635, 1635, 1635, 1635, 1636, 1636,    0,
     1636, 1636, 1636, 1636, 1636, 1636, 1636, 1636, 1637, 1637,
     1637, 1637, 1637,    0, 1637, 1637, 1637, 1637, 1637, 1638,
     1638,    0, 1638, 1638, 1638, 1638, 1638, 1638, 1638, 1638,
     1640, 1640, 1641, 1641, 1641, 1641,    0, 1641, 1641, 1641,
     1641, 1641, 1641, 1642, 1642, 1642, 1642, 1642,    0, 1642,
     1642, 1642, 1642, 1642, 1643, 1643,    0, 1643, 1643, 1643,
     1643, 1643, 1643, 1643, 1643, 1644, 1644, 1644, 1644, 1644,

     1644, 1644, 1644, 1644, 1644, 1644, 1645, 1645,    0, 1645,
     1645, 1645, 1645, 1645, 1645, 1645, 1645, 1646, 1646,    0,
     1646, 1646, 1646, 1646, 1646, 1646, 1646, 1646, 1647, 1647,
        0, 1647, 1647, 1647, 1647, 1647, 1647, 1647, 1647, 1648,
     1648,    0, 1648, 1648, 1648, 1648, 1648, 1648, 1648, 1648,
     1649, 1649,    0, 1649, 1649, 1649, 1649, 1649, 1649, 1649,
     1649, 1650, 1650,    0, 1650, 1650, 1650, 1650, 1650, 1650,
     1650, 1650, 1651, 1651,    0, 1651, 1651, 1651, 1651, 1651,
     1651, 1651, 1651, 1652, 1652,    0, 1652, 1652, 1652, 1652,
     1652, 1652, 1652, 1652, 1653, 1653,    0, 1653, 1653, 1653,

     1653, 1653, 1653, 1653, 1653, 1654, 1654,    0, 1654, 1654,
     1654, 1654, 1654, 1654, 1654, 1654, 1655, 1655,    0, 1655,
     1655, 1655, 1655, 1655, 1655, 1655, 1655, 1656, 1656,    0,
     1656, 1656, 1656, 1656, 1656, 1656, 1656, 1656, 1657, 1657,
        0, 1657, 1657, 1657, 1657, 1657, 1657, 1657, 1657, 1658,
     1658,    0, 1658, 1658, 1658, 1658, 1658, 1658, 1658, 1658,
     1659, 1659,    0, 1659, 1659, 1659, 1659, 1659, 1659, 1659,
     1659, 1660, 1660, 1660, 1660, 1660, 1660, 1660, 1660, 1660,
     1660, 1660, 1662, 1662, 1663, 1663, 1663, 1663, 1663, 1663,
     1663, 1663, 1663, 1663, 1663, 1664, 1664, 1664, 1664, 1664,

     1664, 1664, 1664, 1664, 1664, 1664, 1665, 1665,    0, 1665,
     1665, 1665, 1665, 1665, 1665, 1665, 1665, 1666, 1666,    0,
     1666, 1666, 1666, 1666, 1666, 1666, 1666, 1666, 1667, 1667,
        0, 1667, 1667, 1667, 1667, 1667, 1667, 1667, 1667, 1668,
     1668,    0, 1668, 1668, 1668, 1668, 1668, 1668, 1668, 1668,
     1669, 1669,    0, 1669, 1669, 1669, 1669, 1669, 1669, 1669,
     1669, 1670, 1670,    0, 1670, 1670, 1670, 1670, 1670, 1670,
     1670, 1670, 1671, 1671,    0, 1671, 1671, 1671, 1671, 1671,
     1671, 1671, 1671, 1672, 1672,    0, 1672, 1672, 1672, 1672,
     1672, 1672, 1672, 1672, 1673, 1673,    0, 1673, 1673, 1673,

     1673, 1673, 1673, 1673, 1673, 1674, 1674,    0, 1674, 1674,
     1674, 1674, 1674, 1674, 1674, 1674, 1675, 1675,    0, 1675,
     1675, 1675, 1675, 1675, 1675, 1675, 1675, 1676, 1676,    0,
     1676, 1676, 1676, 1676, 1676, 1676, 1676, 1676, 1677, 1677,
        0, 1677, 1677, 1677, 1677, 1677, 1677, 1677, 1677, 1678,
     1678,    0, 1678, 1678, 1678, 1678, 1678, 1678, 1678, 1678,
     1679, 1679,    0, 1679, 1679, 1679, 1679, 1679, 1679, 1679,
     1679, 1680, 1680,    0, 1680, 1680, 1680, 1680, 1680, 1680,
     1680, 1680, 1681, 1681,    0, 1681, 1681, 1681, 1681, 1681,
     1681, 1681, 1681, 1682, 1682,    0, 1682, 1682, 1682, 1682,

     1682, 1682, 1682, 1682, 1683, 1683,    0, 1683, 1683, 1683,
     1683, 1683, 1683, 1683, 1683, 1684, 1684,    0, 1684, 1684,
     1684, 1684, 1684, 1684, 1684, 1684, 1685, 1685,    0, 1685,
     1685, 1685, 1685, 1685, 1685, 1685, 1685, 1686, 1686, 1686,
     1686, 1686, 1686, 1686, 1686, 1686, 1686, 1686, 1687, 1687,
     1687, 1687, 1687, 1687, 1687, 1687, 1687, 1687, 1687, 1688,
     1688, 1688, 1688, 1688, 1688, 1688, 1688, 1688, 1688, 1688,
     1689, 1689,    0, 1689, 1689, 1689, 1689, 1689, 1689, 1689,
     1689, 1690, 1690,    0, 1690, 1690, 1690, 1690, 1690, 1690,
     1690, 1690, 1691, 1691,    0, 1691, 1691, 1691, 1691, 1691,

     1691, 1691, 1691, 1692, 1692,    0, 1692, 1692, 1692, 1692,
     1692, 1692, 1692, 1692, 1693, 1693,    0, 1693, 1693, 1693,
     1693, 1693, 1693, 1693, 1693, 1694, 1694,    0, 1694, 1694,
     1694, 1694, 1694, 1694, 1694, 1694, 1695, 1695,    0, 1695,
     1695, 1695, 1695, 1695, 1695, 1695, 1695, 1696, 1696,    0,
     1696, 1696, 1696, 1696, 1696, 1696, 1696, 1696, 1697, 1697,
        0, 1697, 1697, 1697, 1697, 1697, 1697, 1697, 1697, 1698,
        0, 1698, 1698, 1698, 1698, 1698, 1698, 1698, 1698, 1698,
     1699, 1699,    0, 1699, 1699, 1699, 1699, 1699, 1699, 1699,
     1699, 1700, 1700, 1700, 1700, 1700, 1700, 1700, 1700, 1700,

     1700, 1700, 1701, 1701,    0, 1701, 1701, 1701, 1701, 1701,
     1701, 1701, 1701, 1702, 1702,    0, 1702, 1702, 1702, 1702,
     1702, 1702, 1702, 1702, 1703, 1703,    0, 1703, 1703, 1703,
     1703, 1703, 1703, 1703, 1703, 1704, 1704,    0, 1704, 1704,
     1704, 1704, 1704, 1704, 1704, 1704, 1705, 1705,    0, 1705,
     1705, 1705, 1705, 1705, 1705, 1705, 1705, 1706, 1706,    0,
     1706, 1706, 1706, 1706, 1706, 1706, 1706, 1706, 1707, 1707,
        0, 1707, 1707, 1707, 1707, 1707, 1707, 1707, 1707, 1708,
     1708,    0, 1708, 1708, 1708, 1708, 1708, 1708, 1708, 1708,
     1709, 1709,    0, 1709, 1709, 1709, 1709, 1709, 1709, 1709,

     1709, 1710, 1710,    0, 1710, 1710, 1710, 1710, 1710, 1710,
     1710, 1710, 1711, 1711,    0, 1711, 1711, 1711, 1711, 1711,
     1711, 1711, 1711, 1712, 1712,    0, 1712, 1712, 1712, 1712,
     1712, 1712, 1712, 1712, 1713, 1713,    0, 1713, 1713, 1713,
     1713, 1713, 1713, 1713, 1713, 1714, 1714,    0, 1714, 1714,
     1714, 1714, 1714, 1714, 1714, 1714, 1715, 1715,    0, 1715,
     1715, 1715, 1715, 1715, 1715, 1715, 1715, 1716, 1716,    0,
     1716, 1716, 1716, 1716, 1716, 1716, 1716, 1716, 1717, 1717,
        0, 1717, 1717, 1717, 1717, 1717, 1717, 1717, 1717, 1718,
     1718,    0, 1718, 1718, 1718, 1718, 1718, 1718, 1718, 1718,

     1719, 1719,    0, 1719, 1719, 1719, 1719, 1719, 1719, 1719,
     1719, 1720, 1720,    0, 1720, 1720, 1720, 1720, 1720, 1720,
     1720, 1720, 1721, 1721,    0, 1721, 1721, 1721, 1721, 1721,
     1721, 1721, 1721, 1722, 1722,    0, 1722, 1722, 1722, 1722,
     1722, 1722, 1722, 1722, 1723, 1723,    0, 1723, 1723, 1723,
     1723, 1723, 1723, 1723, 1723, 1724, 1724, 1724, 1724, 1724,
     1724, 1724, 1724, 1724, 1724, 1724, 1725, 1725, 1725, 1725,
     1725, 1725, 1725, 1725, 1725, 1725, 1725, 1726, 1726, 1726,
     1726, 1726, 1726, 1726, 1726, 1726, 1726, 1726, 1727, 1727,
        0, 1727, 1727, 1727, 1727, 1727, 1727, 1727, 1727, 1728,

     1728,    0, 1728, 1728, 1728, 1728, 1728, 1728, 1728, 1728,
     1729, 1729,    0, 1729, 1729, 1729, 1729, 1729, 1729, 1729,
     1729, 1730, 1730,    0, 1730, 1730, 1730, 1730, 1730, 1730,
     1730, 1730, 1731, 1731,    0, 1731, 1731, 1731, 1731, 1731,
     1731, 1731, 1731, 1732, 1732,    0, 1732, 1732, 1732, 1732,
     1732, 1732, 1732, 1732, 1733, 1733,    0, 1733, 1733, 1733,
     1733, 1733, 1733, 1733, 1733, 1734,    0, 1734, 1734, 1734,
     1734, 1734, 1734, 1734, 1734, 1734, 1735, 1735,    0, 1735,
     1735, 1735, 1735, 1735, 1735, 1735, 1735, 1736, 1736,    0,
     1736, 1736, 1736, 1736, 1736, 1736, 1736, 1736, 1737, 1737,

        0, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1737, 1738,
        0, 1738, 1738, 1739, 1739,    0, 1739, 1739, 1739, 1739,
     1739, 1739, 1739, 1739, 1740, 1740,    0, 1740, 1740, 1740,
     1740, 1740, 1740, 1740, 1740, 1741, 1741,    0, 1741, 1741,
     1741, 1741, 1741, 1741, 1741, 1741, 1742, 1742,    0, 1742,
     1742, 1742, 1742, 1742, 1742, 1742, 1742, 1743, 1743,    0,
     1743, 1743, 1743, 1743, 1743, 1743, 1743, 1743, 1744, 1744,
        0, 1744, 1744, 1744, 1744, 1744, 1744, 1744, 1744, 1745,
     1745,    0, 1745, 1745, 1745, 1745, 1745, 1745, 1745, 1745,
     1746, 1746,    0, 1746, 1746, 1746, 1746, 1746, 1746, 1746,

     1746, 1747, 1747, 1747, 1747, 1747, 1747, 1747, 1747, 1747,
     1747, 1747, 1748, 1748,    0, 1748, 1748, 1748, 1748, 1748,
     1748, 1748, 1748, 1749, 1749,    0, 1749, 1749, 1749, 1749,
     1749, 1749, 1749, 1749, 1750, 1750,    0, 1750, 1750, 1750,
     1750, 1750, 1750, 1750, 1750, 1752, 1752,    0, 1752, 1752,
     1752, 1752, 1752, 1752, 1752, 1752, 1753, 1753,    0, 1753,
     1753, 1753, 1753, 1753, 1753, 1753, 1753, 1754, 1754, 1754,
     1754, 1754, 1754, 1754, 1754, 1754, 1754, 1754, 1755, 1755,
     1755, 1755, 1755, 1755, 1755, 1755, 1755, 1755, 1755, 1756,
     1756, 1756, 1756, 1756, 1756, 1756, 1756, 1756, 1756, 1756,

     1757, 1757,    0, 1757, 1757, 1757, 1757, 1757, 1757, 1757,
     1757, 1758,    0, 1758,    0, 1758, 1758, 1759,    0, 1759,
        0, 1759, 1759, 1760, 1760,    0, 1760, 1760, 1760, 1760,
     1760, 1760, 1760, 1760, 1762,    0, 1762, 1762, 1764, 1764,
        0, 1764, 1764, 1764, 1764, 1764, 1764, 1764, 1764, 1765,
     1765,    0, 1765, 1765, 1765, 1765, 1765, 1765, 1765, 1765,
     1766, 1766,    0, 1766, 1766, 1766, 1766, 1766, 1766, 1766,
     1766, 1767,    0, 1767, 1767, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,

     1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584, 1584,
     1584, 1584, 1584, 1584, 1584, 1584, 1584
    } ;

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

extern int yy_flex_debug;
int yy_flex_debug = 0;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "lexgrog.l"

#line 19 "lexgrog.l"

/*
 * lexgrog.l: extract 'whatis' info from nroff man / formatted cat pages.
 *
 * Copyright (C) 1994, 1995 Graeme W. Wilford. (Wilf.)
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010,
 *               2011, 2012 Colin Watson.
 *
 * This file is part of man-db.
 *
 * man-db is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * man-db is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with man-db; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Wed Oct 12 18:46:11 BST 1994  Wilf. (G.Wilford@ee.surrey.ac.uk)
 *
 * CJW: Detect grap and vgrind. Understand fill requests. Other improvements
 * in the syntax accepted.
 */

#include <sys/stat.h>
#include <errno.h>
#include <stdbool.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>

#include "error.h"
#include "xalloc.h"

#include "gettext.h"
#define _(String) gettext (String)

#include "encodings.h"
#include "pipeline.h"
#include "sandbox.h"
#include "security.h"
#include "util.h"

#include "decompress.h"
#include "lexgrog.h"
#include "manconv.h"
#include "manconv_client.h"

#define YY_READ_BUF_SIZE	1024
#define MAX_NAME		8192

/* defines the ordered list of filters detected by lexgrog */
enum {
	TBL_FILTER = 0,	/* tbl */
	EQN_FILTER,	/* eqn */
	PIC_FILTER,	/* pic */
	GRAP_FILTER,	/* grap */
	REF_FILTER,	/* refer */
	VGRIND_FILTER,	/* vgrind */
	MAX_FILTERS	/* delimiter */
};

#define ARRAY_SIZE(array) (sizeof (array) / sizeof ((array)[0]))

struct macro {
	const char *name;
	const char *value;
};

static const struct macro glyphs[] = {
	/* It is vital to keep these in strcmp order (sort -t\" -k2)!  They
	 * will be searched using bsearch.
	 * Data from groff_char(7), although I have omitted some that are
	 * particularly unlikely to be used in NAME sections.
	 */
	{ "'A", "Á" },
	{ "'C", "Ć" },
	{ "'E", "É" },
	{ "'I", "Í" },
	{ "'O", "Ó" },
	{ "'U", "Ú" },
	{ "'Y", "Ý" },
	{ "'a", "á" },
	{ "'c", "ć" },
	{ "'e", "é" },
	{ "'i", "í" },
	{ "'o", "ó" },
	{ "'u", "ú" },
	{ "'y", "ý" },
	{ ",C", "Ç" },
	{ ",c", "ç" },
	{ "-D", "Ð" },
	{ ".i", "ı" },
	{ "/L", "Ł" },
	{ "/O", "Ø" },
	{ "/l", "ł" },
	{ "/o", "ø" },
	{ ":A", "Ä" },
	{ ":E", "Ë" },
	{ ":I", "Ï" },
	{ ":O", "Ö" },
	{ ":U", "Ü" },
	{ ":Y", "Ÿ" },
	{ ":a", "ä" },
	{ ":e", "ë" },
	{ ":i", "ï" },
	{ ":o", "ö" },
	{ ":u", "ü" },
	{ ":y", "ÿ" },
	{ "AE", "Æ" },
	{ "Bq", "„" },
	{ "Fc", "»" },
	{ "Fi", "ffi" },
	{ "Fl", "ffl" },
	{ "Fo", "«" },
	{ "IJ", "Ĳ" },
	{ "OE", "Œ" },
	{ "Sd", "ð" },
	{ "TP", "Þ" },
	{ "Tp", "þ" },
	{ "^A", "Â" },
	{ "^E", "Ê" },
	{ "^I", "Î" },
	{ "^O", "Ô" },
	{ "^U", "Û" },
	{ "^a", "â" },
	{ "^e", "ê" },
	{ "^i", "î" },
	{ "^o", "ô" },
	{ "^u", "û" },
	{ "`A", "À" },
	{ "`E", "È" },
	{ "`I", "Ì" },
	{ "`O", "Ò" },
	{ "`U", "Ù" },
	{ "`a", "à" },
	{ "`e", "è" },
	{ "`i", "ì" },
	{ "`o", "ò" },
	{ "`u", "ù" },
	{ "a\"", "˝" },
	{ "a-", "¯" },
	{ "a.", "˙" },
	{ "a^", "^" },
	{ "aa", "´" },
	{ "ab", "˘" },
	{ "ac", "¸" },
	{ "ad", "¨" },
	{ "ae", "æ" },
	{ "ah", "ˇ" },
	{ "ao", "˚" },
	{ "aq", "'" },
	{ "a~", "~" },
	{ "bq", "‚" },
	{ "cq", "’" },
	{ "dq", "\"" },
	{ "em", "—" },
	{ "en", "–" },
	{ "fc", "›" },
	{ "ff", "ff" },
	{ "fi", "fi" },
	{ "fl", "fl" },
	{ "fo", "‹" },
	{ "ga", "`" },
	{ "ha", "^" },
	{ "ho", "˛" },
	{ "hy", "‐" },
	{ "ij", "ĳ" },
	{ "lq", "“" },
	{ "oA", "Å" },
	{ "oa", "å" },
	{ "oe", "œ" },
	{ "oq", "‘" },
	{ "r!", "¡" },
	{ "r?", "¿" },
	{ "rq", "”" },
	{ "ss", "ß" },
	{ "ti", "~" },
	{ "vS", "Š" },
	{ "vZ", "Ž" },
	{ "vs", "š" },
	{ "vz", "ž" },
	{ "~A", "Ã" },
	{ "~N", "Ñ" },
	{ "~O", "Õ" },
	{ "~a", "ã" },
	{ "~n", "ñ" },
	{ "~o", "õ" }
};

static const struct macro perldocs[] = {
	/* It is vital to keep these in strcmp order (sort -t\" -k2)!  They
	 * will be searched using bsearch.
	 * Data from Pod/Man.pm.
	 */
	{ "--", "-" },
	{ "Aq", "'" },
	{ "C'", "'" },
	{ "C+", "C++" },
	{ "C`", "`" },
	{ "L\"", "\"" },
	{ "PI", "π" },
	{ "R\"", "\"" }
};

static void add_str_to_whatis (const char *string, size_t length);
static void add_char_to_whatis (unsigned char c);
static void add_separator_to_whatis (void);
static void add_wordn_to_whatis (const char *string, size_t length);
static void add_word_to_whatis (const char *string);
static void add_glyph_to_whatis (const char *string, size_t length);
static void add_perldoc_to_whatis (const char *string, size_t length);
static void mdoc_text (const char *string);
static void newline_found (void);

static char newname[MAX_NAME];
static char *p_name;
static const char *fname;
static char filters[MAX_FILTERS];

static bool fill_mode;
static bool waiting_for_quote;

static decompress *decomp;

#define YY_INPUT(buf,result,max_size) { \
	size_t size = max_size; \
	const char *block = decompress_read (decomp, &size); \
	if (block && size != 0) { \
		memcpy (buf, block, size); \
		buf[size] = '\0'; \
		result = size; \
	} else \
		result = YY_NULL; \
}
#define YY_NO_INPUT
#line 2972 "lexgrog.c"

#line 307 "lexgrog.l"
 /* Please add to this list if you know how. */
 /* Note that, since flex only supports UTF-8 by accident, character classes
  * including non-ASCII characters must be written out as (a|b|c|d) rather
  * than [abcd].
  */
 /* ИМЕ also works for mk */
 /* NOME also works for gl, pt */
 /* eptgrv : eqn, pic, tbl, grap, refer, vgrind */
#line 2983 "lexgrog.c"

#define INITIAL 0
#define MAN_PRENAME 1
#define MAN_NAME 2
#define MAN_DESC 3
#define MAN_DESC_AT 4
#define MAN_DESC_BSX 5
#define MAN_DESC_BX 6
#define MAN_DESC_BX_RELEASE 7
#define MAN_DESC_DQ 8
#define MAN_DESC_FX 9
#define MAN_DESC_NX 10
#define MAN_DESC_OX 11
#define CAT_NAME 12
#define CAT_FILE 13
#define MAN_FILE 14
#define CAT_REST 15
#define MAN_REST 16
#define FORCE_EXIT 17

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
#include <unistd.h>
#endif

#ifndef YY_EXTRA_TYPE
#define YY_EXTRA_TYPE void *
#endif

static int yy_init_globals ( void );

/* Accessor methods to globals.
   These are made visible to non-reentrant scanners for convenience. */

int yylex_destroy ( void );

int yyget_debug ( void );

void yyset_debug ( int debug_flag  );

YY_EXTRA_TYPE yyget_extra ( void );

void yyset_extra ( YY_EXTRA_TYPE user_defined  );

FILE *yyget_in ( void );

void yyset_in  ( FILE * _in_str  );

FILE *yyget_out ( void );

void yyset_out  ( FILE * _out_str  );

			int yyget_leng ( void );

char *yyget_text ( void );

int yyget_lineno ( void );

void yyset_lineno ( int _line_number  );

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap ( void );
#else
extern int yywrap ( void );
#endif
#endif

#ifndef YY_NO_UNPUT
    
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy ( char *, const char *, int );
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen ( const char * );
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput ( void );
#else
static int input ( void );
#endif

#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k */
#define YY_READ_BUF_SIZE 16384
#else
#define YY_READ_BUF_SIZE 8192
#endif /* __ia64__ */
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
		{ \
		int c = '*'; \
		int n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else \
		{ \
		errno=0; \
		while ( (result = (int) fread(buf, 1, (yy_size_t) max_size, yyin)) == 0 && ferror(yyin)) \
			{ \
			if( errno != EINTR) \
				{ \
				YY_FATAL_ERROR( "input in flex scanner failed" ); \
				break; \
				} \
			errno=0; \
			clearerr(yyin); \
			} \
		}\
\

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* end tables serialization structures and prototypes */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1

extern int yylex (void);

#define YY_DECL int yylex (void)
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK /*LINTED*/break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

/** The main scanner function which does all the work.
 */
YY_DECL
{
	yy_state_type yy_current_state;
	char *yy_cp, *yy_bp;
	int yy_act;
    
	if ( !(yy_init) )
		{
		(yy_init) = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! (yy_start) )
			(yy_start) = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! YY_CURRENT_BUFFER ) {
			yyensure_buffer_stack ();
			YY_CURRENT_BUFFER_LVALUE =
				yy_create_buffer( yyin, YY_BUF_SIZE );
		}

		yy_load_buffer_state(  );
		}

	{
#line 358 "lexgrog.l"


 /* begin NAME section processing */
#line 3219 "lexgrog.c"

	while ( /*CONSTCOND*/1 )		/* loops until end-of-file is reached */
		{
		yy_cp = (yy_c_buf_p);

		/* Support of yytext. */
		*yy_cp = (yy_hold_char);

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = (yy_start);
yy_match:
		do
			{
			YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)] ;
			if ( yy_accept[yy_current_state] )
				{
				(yy_last_accepting_state) = yy_current_state;
				(yy_last_accepting_cpos) = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 1585 )
					yy_c = yy_meta[yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
			++yy_cp;
			}
		while ( yy_current_state != 1584 );
		yy_cp = (yy_last_accepting_cpos);
		yy_current_state = (yy_last_accepting_state);

yy_find_action:
		yy_act = yy_accept[yy_current_state];

		YY_DO_BEFORE_ACTION;

do_action:	/* This label is used only to access EOF actions. */

		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = (yy_hold_char);
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			goto yy_find_action;

case 1:
/* rule 1 can match eol */
YY_RULE_SETUP
#line 361 "lexgrog.l"
BEGIN (MAN_PRENAME);
	YY_BREAK
case 2:
/* rule 2 can match eol */
YY_RULE_SETUP
#line 362 "lexgrog.l"
BEGIN (CAT_NAME);
	YY_BREAK
/* general text matching */

case 3:
#line 367 "lexgrog.l"
case 4:
#line 368 "lexgrog.l"
case 5:
#line 369 "lexgrog.l"
case 6:
/* rule 6 can match eol */
YY_RULE_SETUP
#line 369 "lexgrog.l"

	YY_BREAK


case 7:
#line 374 "lexgrog.l"
case 8:
#line 375 "lexgrog.l"
case 9:
/* rule 9 can match eol */
#line 376 "lexgrog.l"
case 10:
/* rule 10 can match eol */
YY_RULE_SETUP
#line 376 "lexgrog.l"

	YY_BREAK


case 11:
/* rule 11 can match eol */
YY_RULE_SETUP
#line 380 "lexgrog.l"
filters[TBL_FILTER] = 't';
	YY_BREAK
case 12:
/* rule 12 can match eol */
YY_RULE_SETUP
#line 381 "lexgrog.l"
filters[EQN_FILTER] = 'e';
	YY_BREAK
case 13:
/* rule 13 can match eol */
YY_RULE_SETUP
#line 382 "lexgrog.l"
filters[PIC_FILTER] = 'p';
	YY_BREAK
case 14:
/* rule 14 can match eol */
YY_RULE_SETUP
#line 383 "lexgrog.l"
filters[GRAP_FILTER] = 'g';
	YY_BREAK
case 15:
/* rule 15 can match eol */
#line 385 "lexgrog.l"
case 16:
/* rule 16 can match eol */
YY_RULE_SETUP
#line 385 "lexgrog.l"
filters[REF_FILTER] = 'r';
	YY_BREAK
case 17:
/* rule 17 can match eol */
YY_RULE_SETUP
#line 386 "lexgrog.l"
filters[VGRIND_FILTER] = 'v';
	YY_BREAK

case YY_STATE_EOF(MAN_REST):
#line 388 "lexgrog.l"
{	/* exit */
	*p_name = '\0'; /* terminate the string */
	yyterminate ();
}
	YY_BREAK
case 18:
/* rule 18 can match eol */
YY_RULE_SETUP
#line 392 "lexgrog.l"

	YY_BREAK
/* rules to end NAME section processing */
case 19:
/* rule 19 can match eol */
YY_RULE_SETUP
#line 395 "lexgrog.l"
{	/* forced exit */
	*p_name = '\0'; /* terminate the string */
	yyterminate ();
}
	YY_BREAK
case 20:
/* rule 20 can match eol */
#line 401 "lexgrog.l"
YY_RULE_SETUP
case YY_STATE_EOF(MAN_PRENAME):
#line 401 "lexgrog.l"
{	/* no NAME at all */
	*p_name = '\0';
	BEGIN (MAN_REST);
}
	YY_BREAK
/* need to match whole string so that we beat the following roff catch-all,
    so use yyless to push back the name */

case 21:
/* rule 21 can match eol */
#line 410 "lexgrog.l"
case 22:
/* rule 22 can match eol */
#line 411 "lexgrog.l"
case 23:
/* rule 23 can match eol */
#line 412 "lexgrog.l"
case 24:
/* rule 24 can match eol */
#line 413 "lexgrog.l"
case 25:
/* rule 25 can match eol */
#line 414 "lexgrog.l"
case 26:
/* rule 26 can match eol */
YY_RULE_SETUP
#line 414 "lexgrog.l"
{
		yyless (0);
		BEGIN (MAN_NAME);
	}
	YY_BREAK

/* Skip over initial roff requests in NAME section. The use of yyless here
    is evil. */
case 27:
/* rule 27 can match eol */
YY_RULE_SETUP
#line 422 "lexgrog.l"

	YY_BREAK
case 28:
/* rule 28 can match eol */
YY_RULE_SETUP
#line 424 "lexgrog.l"
yyless (1);
	YY_BREAK
case 29:
/* rule 29 can match eol */
YY_RULE_SETUP
#line 426 "lexgrog.l"
{
	yyless (0);
	BEGIN (MAN_NAME);
}
	YY_BREAK

case 30:
/* rule 30 can match eol */
#line 433 "lexgrog.l"
case 31:
/* rule 31 can match eol */
#line 434 "lexgrog.l"
case 32:
/* rule 32 can match eol */
#line 435 "lexgrog.l"
case 33:
/* rule 33 can match eol */
#line 436 "lexgrog.l"
case 34:
/* rule 34 can match eol */
#line 437 "lexgrog.l"
case 35:
/* rule 35 can match eol */
#line 438 "lexgrog.l"
case 36:
/* rule 36 can match eol */
#line 439 "lexgrog.l"
YY_RULE_SETUP
case YY_STATE_EOF(MAN_NAME):
YY_RULE_SETUP
case YY_STATE_EOF(MAN_DESC):
#line 439 "lexgrog.l"
{	/* terminate the string */
		*p_name = '\0';
		BEGIN (MAN_REST);
	}
	YY_BREAK


case 37:
/* rule 37 can match eol */
#line 447 "lexgrog.l"
case 38:
/* rule 38 can match eol */
#line 448 "lexgrog.l"
case 39:
/* rule 39 can match eol */
YY_RULE_SETUP
#line 448 "lexgrog.l"
{	/* terminate the string */
		*p_name = '\0';
		BEGIN (CAT_REST);
		yyterminate ();
	}
	YY_BREAK

/* ROFF request removal */

/* some include quoting; dealing with this is unpleasant */
case 40:
/* rule 40 can match eol */
YY_RULE_SETUP
#line 458 "lexgrog.l"
{
		newline_found ();
		waiting_for_quote = true;
	}
	YY_BREAK
case 41:
/* rule 41 can match eol */
#line 464 "lexgrog.l"
case 42:
/* rule 42 can match eol */
#line 465 "lexgrog.l"
case 43:
/* rule 43 can match eol */
#line 466 "lexgrog.l"
case 44:
/* rule 44 can match eol */
#line 467 "lexgrog.l"
case 45:
/* rule 45 can match eol */
#line 468 "lexgrog.l"
case 46:
/* rule 46 can match eol */
#line 469 "lexgrog.l"
case 47:
/* rule 47 can match eol */
#line 470 "lexgrog.l"
case 48:
/* rule 48 can match eol */
#line 471 "lexgrog.l"
case 49:
/* rule 49 can match eol */
YY_RULE_SETUP
#line 471 "lexgrog.l"
{	/* per line comments */
		newline_found ();
	}
	YY_BREAK

/* No-op requests */

case 50:
/* rule 50 can match eol */
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
YY_LINENO_REWIND_TO(yy_cp - 1);
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 478 "lexgrog.l"
newline_found ();
	YY_BREAK
case 51:
/* rule 51 can match eol */
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
YY_LINENO_REWIND_TO(yy_cp - 1);
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 479 "lexgrog.l"
newline_found ();
	YY_BREAK

/* Toggle fill mode */

case 52:
/* rule 52 can match eol */
YY_RULE_SETUP
#line 484 "lexgrog.l"
fill_mode = false;
	YY_BREAK
case 53:
/* rule 53 can match eol */
YY_RULE_SETUP
#line 485 "lexgrog.l"
fill_mode = true;
	YY_BREAK

case 54:
/* rule 54 can match eol */
YY_RULE_SETUP
#line 488 "lexgrog.l"
/* strip continuations */
	YY_BREAK
/* convert to DASH */

case 55:
/* rule 55 can match eol */
#line 493 "lexgrog.l"
case 56:
/* rule 56 can match eol */
#line 494 "lexgrog.l"
case 57:
/* rule 57 can match eol */
#line 495 "lexgrog.l"
case 58:
/* rule 58 can match eol */
#line 496 "lexgrog.l"
case 59:
/* rule 59 can match eol */
YY_RULE_SETUP
#line 496 "lexgrog.l"
{
		add_separator_to_whatis ();
		BEGIN (MAN_DESC);
	}
	YY_BREAK

case 60:
/* rule 60 can match eol */
YY_RULE_SETUP
#line 501 "lexgrog.l"
add_separator_to_whatis ();
	YY_BREAK
/* escape sequences and special characters */

case 61:
/* rule 61 can match eol */
YY_RULE_SETUP
#line 505 "lexgrog.l"
add_char_to_whatis ('\\');
	YY_BREAK
case 62:
/* rule 62 can match eol */
YY_RULE_SETUP
#line 506 "lexgrog.l"
add_char_to_whatis ('\'');
	YY_BREAK
case 63:
/* rule 63 can match eol */
YY_RULE_SETUP
#line 507 "lexgrog.l"
add_char_to_whatis ('`');
	YY_BREAK
case 64:
/* rule 64 can match eol */
YY_RULE_SETUP
#line 508 "lexgrog.l"
add_char_to_whatis ('-');
	YY_BREAK
case 65:
/* rule 65 can match eol */
YY_RULE_SETUP
#line 509 "lexgrog.l"
add_char_to_whatis ('-');
	YY_BREAK
case 66:
/* rule 66 can match eol */
YY_RULE_SETUP
#line 510 "lexgrog.l"
add_char_to_whatis ('.');
	YY_BREAK
case 67:
/* rule 67 can match eol */
YY_RULE_SETUP
#line 511 "lexgrog.l"
add_char_to_whatis (' ');
	YY_BREAK
case 68:
/* rule 68 can match eol */
YY_RULE_SETUP
#line 512 "lexgrog.l"
add_char_to_whatis ('_');
	YY_BREAK
case 69:
/* rule 69 can match eol */
YY_RULE_SETUP
#line 513 "lexgrog.l"
add_char_to_whatis ('\t');
	YY_BREAK
case 70:
/* rule 70 can match eol */
YY_RULE_SETUP
#line 515 "lexgrog.l"
/* various useless control chars */
	YY_BREAK
case 71:
/* rule 71 can match eol */
YY_RULE_SETUP
#line 516 "lexgrog.l"
/* various inline functions */
	YY_BREAK
case 72:
/* rule 72 can match eol */
YY_RULE_SETUP
#line 518 "lexgrog.l"
/* interpolate arg */
	YY_BREAK
/* roff named glyphs */
case 73:
/* rule 73 can match eol */
YY_RULE_SETUP
#line 521 "lexgrog.l"
add_glyph_to_whatis (yytext + 2, 2);
	YY_BREAK
/* perldoc strings */
case 74:
/* rule 74 can match eol */
YY_RULE_SETUP
#line 523 "lexgrog.l"
add_perldoc_to_whatis (yytext + 3, 2);
	YY_BREAK
case 75:
/* rule 75 can match eol */
YY_RULE_SETUP
#line 524 "lexgrog.l"
add_perldoc_to_whatis (yytext + 2, 1);
	YY_BREAK
case 76:
/* rule 76 can match eol */
YY_RULE_SETUP
#line 526 "lexgrog.l"
/* comment */
	YY_BREAK
case 77:
/* rule 77 can match eol */
YY_RULE_SETUP
#line 528 "lexgrog.l"
/* font changes */
	YY_BREAK
case 78:
/* rule 78 can match eol */
YY_RULE_SETUP
#line 529 "lexgrog.l"
/* mark input place in register */
	YY_BREAK
case 79:
/* rule 79 can match eol */
YY_RULE_SETUP
#line 531 "lexgrog.l"
/* interpolate number register */
	YY_BREAK
case 80:
/* rule 80 can match eol */
YY_RULE_SETUP
#line 532 "lexgrog.l"
/* overstrike chars */
	YY_BREAK
case 81:
/* rule 81 can match eol */
YY_RULE_SETUP
#line 534 "lexgrog.l"
/* size changes */
	YY_BREAK
case 82:
/* rule 82 can match eol */
YY_RULE_SETUP
#line 535 "lexgrog.l"
/* width of string */
	YY_BREAK
case 83:
/* rule 83 can match eol */
YY_RULE_SETUP
#line 537 "lexgrog.l"
/* catch all */
	YY_BREAK
case 84:
/* rule 84 can match eol */
YY_RULE_SETUP
#line 539 "lexgrog.l"
/* function() in hpux */
	YY_BREAK

/* some people rather ambitiously use non-trivial mdoc macros in NAME
    sections; cope with those that have been seen in the wild, and a few
    more */

case 85:
/* rule 85 can match eol */
YY_RULE_SETUP
#line 546 "lexgrog.l"
BEGIN (MAN_DESC_AT);
	YY_BREAK
case 86:
/* rule 86 can match eol */
YY_RULE_SETUP
#line 547 "lexgrog.l"
BEGIN (MAN_DESC_BSX);
	YY_BREAK
case 87:
/* rule 87 can match eol */
YY_RULE_SETUP
#line 548 "lexgrog.l"
BEGIN (MAN_DESC_BX);
	YY_BREAK
case 88:
/* rule 88 can match eol */
YY_RULE_SETUP
#line 549 "lexgrog.l"
BEGIN (MAN_DESC_FX);
	YY_BREAK
case 89:
/* rule 89 can match eol */
YY_RULE_SETUP
#line 550 "lexgrog.l"
BEGIN (MAN_DESC_NX);
	YY_BREAK
case 90:
/* rule 90 can match eol */
YY_RULE_SETUP
#line 551 "lexgrog.l"
BEGIN (MAN_DESC_OX);
	YY_BREAK
case 91:
/* rule 91 can match eol */
YY_RULE_SETUP
#line 552 "lexgrog.l"
add_word_to_whatis ("UNIX");
	YY_BREAK
case 92:
/* rule 92 can match eol */
YY_RULE_SETUP
#line 554 "lexgrog.l"
{
		add_word_to_whatis ("\"");
		BEGIN (MAN_DESC_DQ);
	}
	YY_BREAK


case 93:
YY_RULE_SETUP
#line 561 "lexgrog.l"
mdoc_text ("Version 32V AT&T UNIX");
	YY_BREAK
case 94:
YY_RULE_SETUP
#line 562 "lexgrog.l"
mdoc_text ("Version 1 AT&T UNIX");
	YY_BREAK
case 95:
YY_RULE_SETUP
#line 563 "lexgrog.l"
mdoc_text ("Version 2 AT&T UNIX");
	YY_BREAK
case 96:
YY_RULE_SETUP
#line 564 "lexgrog.l"
mdoc_text ("Version 3 AT&T UNIX");
	YY_BREAK
case 97:
YY_RULE_SETUP
#line 565 "lexgrog.l"
mdoc_text ("Version 4 AT&T UNIX");
	YY_BREAK
case 98:
YY_RULE_SETUP
#line 566 "lexgrog.l"
mdoc_text ("Version 5 AT&T UNIX");
	YY_BREAK
case 99:
YY_RULE_SETUP
#line 567 "lexgrog.l"
mdoc_text ("Version 6 AT&T UNIX");
	YY_BREAK
case 100:
YY_RULE_SETUP
#line 568 "lexgrog.l"
mdoc_text ("Version 7 AT&T UNIX");
	YY_BREAK
case 101:
YY_RULE_SETUP
#line 569 "lexgrog.l"
mdoc_text ("AT&T System V UNIX");
	YY_BREAK
case 102:
YY_RULE_SETUP
#line 570 "lexgrog.l"
mdoc_text ("AT&T System V.1 UNIX");
	YY_BREAK
case 103:
YY_RULE_SETUP
#line 571 "lexgrog.l"
mdoc_text ("AT&T System V.2 UNIX");
	YY_BREAK
case 104:
YY_RULE_SETUP
#line 572 "lexgrog.l"
mdoc_text ("AT&T System V.3 UNIX");
	YY_BREAK
case 105:
YY_RULE_SETUP
#line 573 "lexgrog.l"
mdoc_text ("AT&T System V.4 UNIX");
	YY_BREAK
case 106:
/* rule 106 can match eol */
YY_RULE_SETUP
#line 574 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("AT&T UNIX");
	}
	YY_BREAK


case 107:
YY_RULE_SETUP
#line 581 "lexgrog.l"
{
		add_word_to_whatis ("BSD/OS");
		add_wordn_to_whatis (yytext, yyleng);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 108:
/* rule 108 can match eol */
YY_RULE_SETUP
#line 586 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("BSD/OS");
	}
	YY_BREAK


case 109:
YY_RULE_SETUP
#line 593 "lexgrog.l"
mdoc_text ("BSD (currently in alpha test)");
	YY_BREAK
case 110:
YY_RULE_SETUP
#line 594 "lexgrog.l"
mdoc_text ("BSD (currently in beta test)");
	YY_BREAK
case 111:
YY_RULE_SETUP
#line 595 "lexgrog.l"
mdoc_text ("BSD (currently under development");
	YY_BREAK
case 112:
YY_RULE_SETUP
#line 596 "lexgrog.l"
{
		add_wordn_to_whatis (yytext, yyleng);
		add_str_to_whatis ("BSD", 3);
		BEGIN (MAN_DESC_BX_RELEASE);
	}
	YY_BREAK
case 113:
/* rule 113 can match eol */
YY_RULE_SETUP
#line 601 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("BSD");
	}
	YY_BREAK


case 114:
YY_RULE_SETUP
#line 608 "lexgrog.l"
{
		add_str_to_whatis ("-Reno", 5);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 115:
YY_RULE_SETUP
#line 612 "lexgrog.l"
{
		add_str_to_whatis ("-Tahoe", 6);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 116:
YY_RULE_SETUP
#line 616 "lexgrog.l"
{
		add_str_to_whatis ("-Lite", 5);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 117:
YY_RULE_SETUP
#line 620 "lexgrog.l"
{
		add_str_to_whatis ("-Lite2", 6);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 118:
/* rule 118 can match eol */
YY_RULE_SETUP
#line 624 "lexgrog.l"
{
		yyless (0);
		BEGIN (MAN_DESC);
	}
	YY_BREAK

case 119:
YY_RULE_SETUP
#line 630 "lexgrog.l"
{
	add_str_to_whatis (yytext, yyleng);
	add_char_to_whatis ('"');
	BEGIN (MAN_DESC);
}
	YY_BREAK

case 120:
YY_RULE_SETUP
#line 637 "lexgrog.l"
{
		add_word_to_whatis ("FreeBSD");
		add_wordn_to_whatis (yytext, yyleng);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 121:
/* rule 121 can match eol */
YY_RULE_SETUP
#line 642 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("FreeBSD");
	}
	YY_BREAK


case 122:
YY_RULE_SETUP
#line 649 "lexgrog.l"
{
		add_word_to_whatis ("NetBSD");
		add_wordn_to_whatis (yytext, yyleng);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 123:
/* rule 123 can match eol */
YY_RULE_SETUP
#line 654 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("NetBSD");
	}
	YY_BREAK


case 124:
YY_RULE_SETUP
#line 661 "lexgrog.l"
{
		add_word_to_whatis ("OpenBSD");
		add_wordn_to_whatis (yytext, yyleng);
		BEGIN (MAN_DESC);
	}
	YY_BREAK
case 125:
/* rule 125 can match eol */
YY_RULE_SETUP
#line 666 "lexgrog.l"
{
		yyless (0);
		mdoc_text ("OpenBSD");
	}
	YY_BREAK

/* collapse spaces, escaped spaces, tabs, newlines to a single space */
case 126:
/* rule 126 can match eol */
YY_RULE_SETUP
#line 673 "lexgrog.l"
add_char_to_whatis (' ');
	YY_BREAK
/* a ROFF break request, a paragraph request, or an indentation change
    usually means we have multiple whatis definitions, provide a separator
    for later processing */

case 127:
/* rule 127 can match eol */
#line 680 "lexgrog.l"
case 128:
/* rule 128 can match eol */
#line 681 "lexgrog.l"
case 129:
/* rule 129 can match eol */
#line 682 "lexgrog.l"
case 130:
/* rule 130 can match eol */
#line 683 "lexgrog.l"
case 131:
/* rule 131 can match eol */
#line 684 "lexgrog.l"
case 132:
/* rule 132 can match eol */
#line 685 "lexgrog.l"
case 133:
/* rule 133 can match eol */
#line 686 "lexgrog.l"
case 134:
/* rule 134 can match eol */
YY_RULE_SETUP
#line 686 "lexgrog.l"
{
		add_char_to_whatis ((char) 0x11);
		BEGIN (MAN_NAME);
	}
	YY_BREAK

/* any other roff request we don't recognise terminates definitions */
case 135:
/* rule 135 can match eol */
YY_RULE_SETUP
#line 693 "lexgrog.l"
{
	*p_name = '\0';
	BEGIN (MAN_REST);
}
	YY_BREAK
/* pass words as a chunk. speed optimization */
case 136:
YY_RULE_SETUP
#line 699 "lexgrog.l"
add_str_to_whatis (yytext, yyleng);
	YY_BREAK
/* normalise the comma (,) separators */
case 137:
/* rule 137 can match eol */
#line 703 "lexgrog.l"
case 138:
/* rule 138 can match eol */
YY_RULE_SETUP
#line 703 "lexgrog.l"
add_str_to_whatis (", ", 2);
	YY_BREAK
case 139:
/* rule 139 can match eol */
YY_RULE_SETUP
#line 705 "lexgrog.l"
{
	newline_found ();
	add_char_to_whatis (yytext[yyleng - 1]);
}
	YY_BREAK
case 140:
YY_RULE_SETUP
#line 710 "lexgrog.l"
add_char_to_whatis (*yytext);
	YY_BREAK
/* default EOF rule */
case YY_STATE_EOF(INITIAL):
case YY_STATE_EOF(MAN_DESC_AT):
case YY_STATE_EOF(MAN_DESC_BSX):
case YY_STATE_EOF(MAN_DESC_BX):
case YY_STATE_EOF(MAN_DESC_BX_RELEASE):
case YY_STATE_EOF(MAN_DESC_DQ):
case YY_STATE_EOF(MAN_DESC_FX):
case YY_STATE_EOF(MAN_DESC_NX):
case YY_STATE_EOF(MAN_DESC_OX):
case YY_STATE_EOF(CAT_NAME):
case YY_STATE_EOF(CAT_FILE):
case YY_STATE_EOF(MAN_FILE):
case YY_STATE_EOF(CAT_REST):
case YY_STATE_EOF(FORCE_EXIT):
#line 713 "lexgrog.l"
return 1;
	YY_BREAK
case 141:
YY_RULE_SETUP
#line 715 "lexgrog.l"
ECHO;
	YY_BREAK
#line 4163 "lexgrog.c"

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - (yytext_ptr)) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = (yy_hold_char);
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = yyin;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( (yy_c_buf_p) <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			(yy_c_buf_p) = (yytext_ptr) + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state(  );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = (yytext_ptr) + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++(yy_c_buf_p);
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = (yy_last_accepting_cpos);
				yy_current_state = (yy_last_accepting_state);
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer(  ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				(yy_did_buffer_switch_on_eof) = 0;

				if ( yywrap(  ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					(yy_c_buf_p) = (yytext_ptr) + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				(yy_c_buf_p) =
					(yytext_ptr) + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				(yy_c_buf_p) =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)];

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of user's declarations */
} /* end of yylex */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
static int yy_get_next_buffer (void)
{
    	char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	char *source = (yytext_ptr);
	int number_to_move, i;
	int ret_val;

	if ( (yy_c_buf_p) > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( (yy_c_buf_p) - (yytext_ptr) - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) ((yy_c_buf_p) - (yytext_ptr) - 1);

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars) = 0;

	else
		{
			int num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;

			int yy_c_buf_p_offset =
				(int) ((yy_c_buf_p) - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yyrealloc( (void *) b->yy_ch_buf,
							 (yy_size_t) (b->yy_buf_size + 2)  );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = NULL;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			(yy_c_buf_p) = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			(yy_n_chars), num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	if ( (yy_n_chars) == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin  );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if (((yy_n_chars) + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		int new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) yyrealloc(
			(void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf, (yy_size_t) new_size  );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
		/* "- 2" to take care of EOB's */
		YY_CURRENT_BUFFER_LVALUE->yy_buf_size = (int) (new_size - 2);
	}

	(yy_n_chars) += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] = YY_END_OF_BUFFER_CHAR;

	(yytext_ptr) = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

    static yy_state_type yy_get_previous_state (void)
{
	yy_state_type yy_current_state;
	char *yy_cp;
    
	yy_current_state = (yy_start);

	for ( yy_cp = (yytext_ptr) + YY_MORE_ADJ; yy_cp < (yy_c_buf_p); ++yy_cp )
		{
		YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			(yy_last_accepting_state) = yy_current_state;
			(yy_last_accepting_cpos) = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 1585 )
				yy_c = yy_meta[yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
    static yy_state_type yy_try_NUL_trans  (yy_state_type yy_current_state )
{
	int yy_is_jam;
    	char *yy_cp = (yy_c_buf_p);

	YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		(yy_last_accepting_state) = yy_current_state;
		(yy_last_accepting_cpos) = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 1585 )
			yy_c = yy_meta[yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	yy_is_jam = (yy_current_state == 1584);

		return yy_is_jam ? 0 : yy_current_state;
}

#ifndef YY_NO_UNPUT

#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
    static int yyinput (void)
#else
    static int input  (void)
#endif

{
	int c;
    
	*(yy_c_buf_p) = (yy_hold_char);

	if ( *(yy_c_buf_p) == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( (yy_c_buf_p) < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			/* This was really a NUL. */
			*(yy_c_buf_p) = '\0';

		else
			{ /* need more input */
			int offset = (int) ((yy_c_buf_p) - (yytext_ptr));
			++(yy_c_buf_p);

			switch ( yy_get_next_buffer(  ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap(  ) )
						return 0;

					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					(yy_c_buf_p) = (yytext_ptr) + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
	*(yy_c_buf_p) = '\0';	/* preserve yytext */
	(yy_hold_char) = *++(yy_c_buf_p);

	return c;
}
#endif	/* ifndef YY_NO_INPUT */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
    void yyrestart  (FILE * input_file )
{
    
	if ( ! YY_CURRENT_BUFFER ){
        yyensure_buffer_stack ();
		YY_CURRENT_BUFFER_LVALUE =
            yy_create_buffer( yyin, YY_BUF_SIZE );
	}

	yy_init_buffer( YY_CURRENT_BUFFER, input_file );
	yy_load_buffer_state(  );
}

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * 
 */
    void yy_switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
{
    
	/* TODO. We should be able to replace this entire function body
	 * with
	 *		yypop_buffer_state();
	 *		yypush_buffer_state(new_buffer);
     */
	yyensure_buffer_stack ();
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	yy_load_buffer_state(  );

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	(yy_did_buffer_switch_on_eof) = 1;
}

static void yy_load_buffer_state  (void)
{
    	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
	yyin = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
	(yy_hold_char) = *(yy_c_buf_p);
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
    YY_BUFFER_STATE yy_create_buffer  (FILE * file, int  size )
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yyalloc( (yy_size_t) (b->yy_buf_size + 2)  );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
}

/** Destroy the buffer.
 * @param b a buffer created with yy_create_buffer()
 * 
 */
    void yy_delete_buffer (YY_BUFFER_STATE  b )
{
    
	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yyfree( (void *) b->yy_ch_buf  );

	yyfree( (void *) b  );
}

/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a yyrestart() or at EOF.
 */
    static void yy_init_buffer  (YY_BUFFER_STATE  b, FILE * file )

{
	int oerrno = errno;
    
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then yy_init_buffer was _probably_
     * called from yyrestart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

        b->yy_is_interactive = 0;
    
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * 
 */
    void yy_flush_buffer (YY_BUFFER_STATE  b )
{
    	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		yy_load_buffer_state(  );
}

/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  
 */
void yypush_buffer_state (YY_BUFFER_STATE new_buffer )
{
    	if (new_buffer == NULL)
		return;

	yyensure_buffer_stack();

	/* This block is copied from yy_switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		(yy_buffer_stack_top)++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from yy_switch_to_buffer. */
	yy_load_buffer_state(  );
	(yy_did_buffer_switch_on_eof) = 1;
}

/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  
 */
void yypop_buffer_state (void)
{
    	if (!YY_CURRENT_BUFFER)
		return;

	yy_delete_buffer(YY_CURRENT_BUFFER );
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if ((yy_buffer_stack_top) > 0)
		--(yy_buffer_stack_top);

	if (YY_CURRENT_BUFFER) {
		yy_load_buffer_state(  );
		(yy_did_buffer_switch_on_eof) = 1;
	}
}

/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
static void yyensure_buffer_stack (void)
{
	yy_size_t num_to_alloc;
    
	if (!(yy_buffer_stack)) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
      num_to_alloc = 1; /* After all that talk, this was set to 1 anyways... */
		(yy_buffer_stack) = (struct yy_buffer_state**)yyalloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));

		(yy_buffer_stack_max) = num_to_alloc;
		(yy_buffer_stack_top) = 0;
		return;
	}

	if ((yy_buffer_stack_top) >= ((yy_buffer_stack_max)) - 1){

		/* Increase the buffer to prepare for a possible push. */
		yy_size_t grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = (yy_buffer_stack_max) + grow_size;
		(yy_buffer_stack) = (struct yy_buffer_state**)yyrealloc
								((yy_buffer_stack),
								num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset((yy_buffer_stack) + (yy_buffer_stack_max), 0, grow_size * sizeof(struct yy_buffer_state*));
		(yy_buffer_stack_max) = num_to_alloc;
	}
}

/** Setup the input buffer state to scan directly from a user-specified character buffer.
 * @param base the character buffer
 * @param size the size in bytes of the character buffer
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_buffer  (char * base, yy_size_t  size )
{
	YY_BUFFER_STATE b;
    
	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return NULL;

	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = (int) (size - 2);	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = NULL;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b  );

	return b;
}

/** Setup the input buffer state to scan a string. The next call to yylex() will
 * scan from a @e copy of @a str.
 * @param yystr a NUL-terminated string to scan
 * 
 * @return the newly allocated buffer state object.
 * @note If you want to scan bytes that may contain NUL values, then use
 *       yy_scan_bytes() instead.
 */
YY_BUFFER_STATE yy_scan_string (const char * yystr )
{
    
	return yy_scan_bytes( yystr, (int) strlen(yystr) );
}

/** Setup the input buffer state to scan the given bytes. The next call to yylex() will
 * scan from a @e copy of @a bytes.
 * @param yybytes the byte buffer to scan
 * @param _yybytes_len the number of bytes in the buffer pointed to by @a bytes.
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_bytes  (const char * yybytes, int  _yybytes_len )
{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;
    
	/* Get memory for full buffer, including space for trailing EOB's. */
	n = (yy_size_t) (_yybytes_len + 2);
	buf = (char *) yyalloc( n  );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < _yybytes_len; ++i )
		buf[i] = yybytes[i];

	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
}

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

static void yynoreturn yy_fatal_error (const char* msg )
{
			fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
}

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		yytext[yyleng] = (yy_hold_char); \
		(yy_c_buf_p) = yytext + yyless_macro_arg; \
		(yy_hold_char) = *(yy_c_buf_p); \
		*(yy_c_buf_p) = '\0'; \
		yyleng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/** Get the current line number.
 * 
 */
int yyget_lineno  (void)
{
    
    return yylineno;
}

/** Get the input stream.
 * 
 */
FILE *yyget_in  (void)
{
        return yyin;
}

/** Get the output stream.
 * 
 */
FILE *yyget_out  (void)
{
        return yyout;
}

/** Get the length of the current token.
 * 
 */
int yyget_leng  (void)
{
        return yyleng;
}

/** Get the current token.
 * 
 */

char *yyget_text  (void)
{
        return yytext;
}

/** Set the current line number.
 * @param _line_number line number
 * 
 */
void yyset_lineno (int  _line_number )
{
    
    yylineno = _line_number;
}

/** Set the input stream. This does not discard the current
 * input buffer.
 * @param _in_str A readable stream.
 * 
 * @see yy_switch_to_buffer
 */
void yyset_in (FILE *  _in_str )
{
        yyin = _in_str ;
}

void yyset_out (FILE *  _out_str )
{
        yyout = _out_str ;
}

int yyget_debug  (void)
{
        return yy_flex_debug;
}

void yyset_debug (int  _bdebug )
{
        yy_flex_debug = _bdebug ;
}

static int yy_init_globals (void)
{
        /* Initialization is the same as for the non-reentrant scanner.
     * This function is called from yylex_destroy(), so don't allocate here.
     */

    (yy_buffer_stack) = NULL;
    (yy_buffer_stack_top) = 0;
    (yy_buffer_stack_max) = 0;
    (yy_c_buf_p) = NULL;
    (yy_init) = 0;
    (yy_start) = 0;

/* Defined in main.c */
#ifdef YY_STDINIT
    yyin = stdin;
    yyout = stdout;
#else
    yyin = NULL;
    yyout = NULL;
#endif

    /* For future reference: Set errno on error, since we are called by
     * yylex_init()
     */
    return 0;
}

/* yylex_destroy is for both reentrant and non-reentrant scanners. */
int yylex_destroy  (void)
{
    
    /* Pop the buffer stack, destroying each element. */
	while(YY_CURRENT_BUFFER){
		yy_delete_buffer( YY_CURRENT_BUFFER  );
		YY_CURRENT_BUFFER_LVALUE = NULL;
		yypop_buffer_state();
	}

	/* Destroy the stack itself. */
	yyfree((yy_buffer_stack) );
	(yy_buffer_stack) = NULL;

    /* Reset the globals. This is important in a non-reentrant scanner so the next time
     * yylex() is called, initialization will occur. */
    yy_init_globals( );

    return 0;
}

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, const char * s2, int n )
{
		
	int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (const char * s )
{
	int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *yyalloc (yy_size_t  size )
{
			return malloc(size);
}

void *yyrealloc  (void * ptr, yy_size_t  size )
{
		
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return realloc(ptr, size);
}

void yyfree (void * ptr )
{
			free( (char *) ptr );	/* see yyrealloc() for (char *) cast */
}

#define YYTABLES_NAME "yytables"

#line 715 "lexgrog.l"


/* print warning and force scanner to terminate */
static void too_big (void)
{
	/* Even though MAX_NAME is a macro expanding to a constant, we
	 * translate it using ngettext anyway because that will make it
	 * easier to change the macro later.
	 */
	error (0, 0,
	       ngettext ("warning: whatis for %s exceeds %d byte, "
			 "truncating.",
			 "warning: whatis for %s exceeds %d bytes, "
			 "truncating.", MAX_NAME),
	       fname, MAX_NAME);

	BEGIN (FORCE_EXIT);
}

/* append a string to newname if enough room */
static void add_str_to_whatis (const char *string, size_t length)
{
	if (p_name - newname + length >= MAX_NAME)
		too_big ();
	else {
		(void) strncpy (p_name, string, length);
		p_name += length;
	}
}

/* append a char to newname if enough room */
static void add_char_to_whatis (unsigned char c)
{
	if (p_name - newname + 1 >= MAX_NAME)
		too_big ();
	else if (waiting_for_quote && c == '"')
		waiting_for_quote = false;
	else
		*p_name++ = c;
}

/* append the " - " separator to newname, trimming the first space if one's
 * already there
 */
static void add_separator_to_whatis (void)
{
	if (p_name != newname && *(p_name - 1) != ' ')
		add_char_to_whatis (' ');
	add_str_to_whatis ("- ", 2);
}

/* append a word to newname if enough room, ensuring only necessary
   surrounding space */
static void add_wordn_to_whatis (const char *string, size_t length)
{
	if (p_name != newname && *(p_name - 1) != ' ')
		add_char_to_whatis (' ');
	while (length && string[length - 1] == ' ')
		--length;
	if (length)
		add_str_to_whatis (string, length);
}

static void add_word_to_whatis (const char *string)
{
	add_wordn_to_whatis (string, strlen (string));
}

struct compare_macro_key {
	const char *string;
	size_t length;
};

static int compare_macro (const void *left, const void *right)
{
	const struct compare_macro_key *key = left;
	const struct macro *value = right;
	int cmp;

	cmp = strncmp (key->string, value->name, key->length);
	if (cmp)
		return cmp;
	/* equal up to key->length, so value->name must be at least size
	 * key->length + 1
	 */
	else if (value->name[key->length])
		return -1;
	else
		return 0;
}

static void add_macro_to_whatis (const struct macro *macros, size_t n_macros,
				 const char *string, size_t length)
{
	struct compare_macro_key key;
	const struct macro *macro;

	key.string = string;
	key.length = length;
	macro = bsearch (&key, macros, n_macros, sizeof (struct macro),
			 compare_macro);
	if (macro)
		add_str_to_whatis (macro->value, strlen (macro->value));
}

static void add_glyph_to_whatis (const char *string, size_t length)
{
	add_macro_to_whatis (glyphs, ARRAY_SIZE (glyphs), string, length);
}

static void add_perldoc_to_whatis (const char *string, size_t length)
{
	add_macro_to_whatis (perldocs, ARRAY_SIZE (perldocs), string, length);
}

static void mdoc_text (const char *string)
{
	add_word_to_whatis (string);
	BEGIN (MAN_DESC);
}

static void newline_found (void)
{
	/* If we are mid p_name and the last added char was not a space,
	 * best add one.
	 */
	if (p_name != newname && *(p_name - 1) != ' ') {
		if (fill_mode)
			add_char_to_whatis (' ');
		else {
			add_char_to_whatis ((char) 0x11);
			BEGIN (MAN_NAME);
		}
	}
	waiting_for_quote = false;
}

int find_name (const char *file, const char *filename, lexgrog *p_lg,
	       const char *encoding)
{
	int ret = 0;
	decompress *d;
	char *page_encoding = NULL;
	bool run_col = p_lg->type == CATPAGE && *PROG_COL != '\0';

	if (strcmp (file, "-") == 0) {
		d = decompress_fdopen (dup (STDIN_FILENO));
	} else {
		struct stat st;
		int decompress_flags;
		char *lang;

		if (stat (file, &st)) {
			error (0, errno, "%s", file);
			return 0;
		}

		if (S_ISDIR (st.st_mode)) {
			error (0, EISDIR, "%s", file);
			return 0;
		}

		drop_effective_privs ();
		decompress_flags = 0;
		/* If we're looking at a cat page, then we need to run col
		 * over it, which doesn't work conveniently with an
		 * in-process decompressor.
		 */
		if (!run_col)
			decompress_flags |= DECOMPRESS_ALLOW_INPROCESS;
		d = decompress_open (file, decompress_flags);
		if (!d) {
			error (0, errno, _("can't open %s"), file);
			regain_effective_privs ();
			return 0;
		}
		regain_effective_privs ();

		if (!encoding) {
			lang = lang_dir (file);
			page_encoding = get_page_encoding (lang);
			free (lang);
		}
	}
	if (!page_encoding && encoding)
		page_encoding = xstrdup (encoding);
	if (page_encoding) {
		if (decompress_is_pipeline (d))
			add_manconv (decompress_get_pipeline (d),
				     page_encoding, "UTF-8");
		else if (manconv_inprocess (d, page_encoding, "UTF-8") != 0)
			/* manconv should already have written to stderr, so
			 * just return zero (i.e. no result).
			 */
			goto out;
	}
	if (run_col) {
		pipecmd *col_cmd;
		col_cmd = pipecmd_new_args
			(PROG_COL, "-b", "-p", "-x", nullptr);
		pipecmd_pre_exec (col_cmd, sandbox_load, sandbox_free,
				  sandbox);
		pipeline_command (decompress_get_pipeline (d), col_cmd);
	}
	decompress_start (d);

	ret = find_name_decompressed (d, filename, p_lg);

out:
	free (page_encoding);
	decompress_free (d);
	return ret;
}

int find_name_decompressed (decompress *d, const char *filename, lexgrog *p_lg)
{
	int ret;

	decomp = d;

	fname = filename;
	*(p_name = newname) = '\0';
	memset (filters, '_', sizeof (filters));

	fill_mode = true;
	waiting_for_quote = false;

	if (p_lg->type == CATPAGE)
		BEGIN (CAT_FILE);
	else
		BEGIN (MAN_FILE);

	drop_effective_privs ();

	yyrestart (NULL);
	ret = yylex ();

	regain_effective_privs ();

	decompress_wait (decomp);

	if (ret)
		return 0;
	else {
		char f_tmp[MAX_FILTERS];
		int j, k;

		/* wipe out any leading or trailing spaces */
		if (*newname) {
			for (p_name = strchr (newname, '\0');
			     *(p_name - 1) == ' ';
			     p_name--);
			if (*p_name == ' ')
				*p_name = '\0';
		}
		for (p_name = newname; *p_name == ' '; p_name++);
		p_lg->whatis = xstrdup (p_name);
		memset (f_tmp, '\0', MAX_FILTERS);
		f_tmp[0] = '-';
		for (j = k = 0; j < MAX_FILTERS; j++)
			if (filters[j] != '_')
				f_tmp[k++] = filters[j];
		p_lg->filters = xstrdup (f_tmp);
		return p_name[0];
	}
}

